var org_id = appcan.locStorage.getVal('detail_org_id');
appcan.ready(function() {
    getData();
});
function getData() {
    var data = {};
    data['ctlname'] = 'activity_org';
    data['method'] = 'getOrgDetail';
    data['org_id'] = org_id;
    AJAX.post(data, function(json) {
        if (json.status) {
            showOrg(json.data) 
        } else {
            openToast(json.msg);
        }
    }, function() {
        openToast('操作超时');
    }, 0);
}

function getRealAdd(i) {
    arr = i.split(":");
    t = arr[1].split("/");
    var rea = '';
    for (n in t) {
        if (n < 3) {//取三级地址
            rea = rea + t[n];
        }
    }
    return rea;
}

function showOrg(organization) {
    if (organization.org_logo) {
        $('#image').attr('src', organization.org_logo);
    } else {
        $('#image').attr('src', 'organization/css/myImg/logo.jpg');
    }
    $('#name').html(organization.org_name);
    //机构评分
    if (!organization.score) {
        organization.score = 0;
    }
    $("#score").html(organization.score);
    $("#star").css("width", organization.score * 0.85 + "em");
    //地址
    if (organization.area) {
        $('#picList').append('<div class="org-line">地址：'+getRealAdd(organization.area) + organization.addr+'</div>');
    }
    //简介
    if (organization.org_brief) {
        $('#picList').append('<div class="org-line">简介：'+organization.org_brief+'</div>');
    }
    //图片展示
    if (organization.org_image) {
        var image= organization.org_image;
        if(image.length > 0){
            var imagehtml = '<div class="org-line">图片详情：';
            for(var i in image){
                imagehtml += '<img src='+image[i]+' alt="图片消失了" />';
            }
            imagehtml += '</div>';
            $('#picList').append(imagehtml);
        }
    }
}
