var page = 0;
//分页
var offical;
//官方推荐
var searchKey//搜索词
var act_type;
//活动类型
var act_list;
//活动列表
var act_list_flg;
//活动列表标志
var titleid = "活动列表";
var _afterChange = 'comprehensive';
//记录上一个选中的排序条件 默认为综合
var filterExtends;
//筛选条件
appcan.ready(function() {
    //获取参数
    offical = appcan.locStorage.getVal('offical');
    searchKey = appcan.locStorage.getVal('searchKey');
    act_type = appcan.locStorage.getVal('act_type');
    act_list_flg = appcan.locStorage.getVal('act_list_flg');
    //根据不同的来源，更换头部
    if (appcan.trim(offical) != "" && offical != "undefined") {
        if (offical == 1) {
            titleid = "官方推荐";
        }
    }
    if (appcan.trim(act_type) != "" && act_type != "undefined") {
        if (act_type == 1) {
            titleid = "官方活动";
        } else {
            titleid = "第三方活动";
        }
    } else if (act_list_flg == 'list') {//根据条件检索列表
        act_list = appcan.locStorage.getVal('act_list');
    }
    appcan.window.evaluateScript({
        name : 'act_list',
        scriptContent : 'changeTitle("' + titleid + '")'
    });
    appcan.frame.setBounce([0, 1], function(type) {//zhangfftodo
        //!type?"开始下拉":"开始上拖";
        if (type == 0) {
            page = 0;
        }
        setUexBounce();
    }, function(type) {
        //超过临界点,产生事件;
    }, function(type) {
        setTimeout(function() {
            //松手,产生事件,开始更新数据;
            appcan.frame.resetBounce(type);
            getData();
        }, 1000);
    }, '#EEEEEE', getUexStyle());
    getData();
});
/**
 *发送获取数据请求
 * @params Array filter : 筛选条件 ,无条件时参数为空
 */
function getData() {
    appcan.window.openToast({
        msg : '正在加载...',
        position : 5,
        type : 1
    }); 
    var data = {};
    data['ctlname'] = 'xjy_actlist';
    data['method'] = 'index';
    data['page'] = page;
    data['offical'] = offical;
    data['searchKey'] = searchKey;
    data['act_type'] = act_type;
    data['act_list'] = act_list;
    data['searchorder'] = filterExtends;
    data['lng'] = appcan.locStorage.getVal('lng');
    //经度
    data['lat'] = appcan.locStorage.getVal('lat');
    //纬度
    //openLoadingToast();
    AJAX.post(data, function(json) {
        appcan.window.closeToast();
        if (json.status) {
            showList(json.data);
            page++;
        } else {
            if (json.msg) {
                $("#act-tip").html(json.msg);
            }
        }
        closeLoadingToast();
    }, function() {
        appcan.window.closeToast();
        // closeLoadingToast();
        openToast('操作超时');
    }, 0);
}
/**
 *获取报名人数
 */
// function getNum(data) {
    // var data = {};
    // data['ctlname'] = 'xjy_actlist';
    // data['method'] = 'getNum';
    // data['act_id'] = ${act_id};
    // AJAX.post(data, function(json) {
        // alert(json.totalNum);
    // }, function() {
        // uexWindow.alert(json.message, '超时', '确定');
    // }, 0);
// }

/**
 *显示活动列表
 */
function showList(data) {
    
    if (page == 0) {
        $('#picList').html("");
    }
    var tmpl = '<div class="ub uhmartb ulev-1 act sc-bg" ontouchstart="appcan.touch(\'\')" onclick="onclickAct(${act_id})">' + '      <div class="ub ub-img1 ub-fh uh-img" style="background-image:url(${act_image});">' + '      </div>' + '      <div class="ub ub-ver ub-pc uh-info">'
    // + '          <div class="umar-tb act_title sc-text ulev-1">${act_brief}</div>'
    // //+'        <div class="ub moduleFive_f_2">${prediction}</div>'
    // +'          <div class="umpd-tb sc-text sign-f">${act_fee}</div>'
    +'          <div class="act_title">${act_title}</div>' + '          <div class="ub-pc"><span class="tb tb-dingwei fa-1x sign-f"></span><span class="ut-s ulev-1 ul-c" style="padding:0.6em 0 0 0.3em;display:inline-block;width:88%">${act_area}</span></div>' + '          <div class="ub-pc"><span class="tb tb-dingwei fa-1x sign-f"></span><span class="ut-s ulev-1 ul-c" style="padding:0.6em 0 0 0.3em;display:inline-block;width:88%">${act_stime}</span></div>' + '          <div class="ub-pc"><span class="tb tb-dingwei fa-1x sign-f"></span><span class="ut-s ulev-1 ul-c" style="padding:0.6em 0 0 0.3em;display:inline-block;width:88%">${act_max}/${act_max}</span></div>' + '      </div>' + '  </div>' + '  <div class="ub bc-bg" style="height:0.5em;"></div>';
    var s = appcan.tempRenderList(tmpl, data, appcan.getObjLength(data));
    $('#picList').append(s);
}

//活动点击事件
function onclickAct(actid) {
    appcan.locStorage.setVal('act_id', actid);
    appcan.openWinWithUrl('act_detail', 'act_detail.html');
}

/**
 * @method 滚动条监听事件
 */
$(window).scroll(function() {
    if (document.documentElement) {
        var y = document.documentElement.scrollTop || document.body.scrollTop;
    }
    if (y > 0) {
        document.getElementById('flaot-scroll-top').style.display = "block";
    } else {
        document.getElementById('flaot-scroll-top').style.display = "none";
    }
});
/**
 *返回顶部
 * @param acceleration 速度
 * @param stime 时间间隔 (毫秒)
 **/
function gotoTop(acceleration, stime) {
    acceleration = acceleration || 0.1;
    stime = stime || 10;
    var x1 = 0;
    var y1 = 0;
    var x2 = 0;
    var y2 = 0;
    var x3 = 0;
    var y3 = 0;
    if (document.documentElement) {
        x1 = document.documentElement.scrollLeft || 0;
        y1 = document.documentElement.scrollTop || 0;
    }
    if (document.body) {
        x2 = document.body.scrollLeft || 0;
        y2 = document.body.scrollTop || 0;
    }
    var x3 = window.scrollX || 0;
    var y3 = window.scrollY || 0;

    // 滚动条到页面顶部的水平距离
    var x = Math.max(x1, Math.max(x2, x3));
    // 滚动条到页面顶部的垂直距离
    var y = Math.max(y1, Math.max(y2, y3));

    // 滚动距离 = 目前距离 / 速度, 因为距离原来越小, 速度是大于 1 的数, 所以滚动距离会越来越小
    var speeding = 1 + acceleration;
    window.scrollTo(Math.floor(x / speeding), Math.floor(y / speeding));

    if (y == 1) {
        document.getElementById('flaot-scroll-top').style.display = "none";
    }
    // 如果距离不为零, 继续调用函数
    if (x > 0 || y > 0) {
        var run = "gotoTop(" + acceleration + ", " + stime + ")";
        window.setTimeout(run, stime);
    }
    //window.scrollTo(0,0);
}

/**
 *排序按钮点击事件
 */
appcan.button(".js-change", "", function() {
    //initTouch();
    if (this.id == _afterChange) {
        var icon = this.getElementsByTagName("i")[0];
        toggleClass(icon);
    } else {
        var afterObj = $("#" + _afterChange);
        clearActive(afterObj);
        _afterChange = this.id;
        this.classList.add("active");
    }
    filterList(this.id, this);
});

/**
 *重新初始化触摸事件

 function initTouch(){
 if ($("#mask-filter").css("display") == "none") {
 $("body").unbind("touchmove");
 } else {
 $("body").bind("touchmove",function(event){
 event.preventDefault();
 });
 }
 }*/

/**
 *清除选中状态
 */
function clearActive(obj) {
    if (obj.hasClass("active")) {
        obj.removeClass("active");
    }
    var icon = obj[0].getElementsByTagName("i")[0];
    if (icon) {
        if (icon.classList.contains("tb-unfold")) {
            icon.classList.remove("tb-unfold");
            icon.classList.add("tb-fold");
        }
    }
}

/**
 *切换从小到大排序状态
 */
function toggleClass(dom) {
    if (dom) {
        if (dom.classList.contains("tb-unfold")) {
            dom.classList.remove("tb-unfold");
            dom.classList.add("tb-fold");
        } else if (dom.classList.contains("tb-fold")) {
            dom.classList.remove("tb-fold");
            dom.classList.add("tb-unfold");
        }
    }
}

/**
 *筛选排序
 */
function filterList(id, dom) {
    var data = {};
    switch (id) {
    case 'popularity' :
        //人气
        data['searchorder'] = 'general';
        var icon = dom.getElementsByTagName("i")[0];
        if (icon.classList.contains("tb-unfold")) {
            data['searchorder'] = 'popularity_fall';
        } else if (icon.classList.contains("tb-fold")) {
            data['searchorder'] = 'popularity_up';
        }
        break;
    case 'distance' :
        //距离
        var icon = dom.getElementsByTagName("i")[0];
        if (icon.classList.contains("tb-unfold")) {
            data['searchorder'] = 'distance_fall';
        } else if (icon.classList.contains("tb-fold")) {
            data['searchorder'] = 'distance_up';
        }
        break;
    case 'price' :
        //价格
        var icon = dom.getElementsByTagName("i")[0];
        if (icon.classList.contains("tb-unfold")) {
            data['searchorder'] = 'price_fall';
        } else if (icon.classList.contains("tb-fold")) {
            data['searchorder'] = 'price_up';
        }
        break;
    default :
        data['searchorder'] = 'popularity_up';
        break;
    }
    $("#picList").html("");
    $("#act-tip").html("");
    page = 0;
    filterExtends = data;
    getData();
}
