/**
 * 显示全部宝贝
 */
function showgoods() {
    if ($("#goods-all").hasClass("uhide")) {
        $("#goods-all").removeClass("uhide");
        $("#goods-all").addClass("uappe");
    }
    if ($("#shelves").hasClass("uappe")) {
        $("#shelves").removeClass("uappe");
        $("#shelves").addClass("uhide");
    }
    if ($("#shop-index").hasClass("uappe")) {
        $("#shop-index").removeClass("uappe");
        $("#shop-index").addClass("uhide");
    }
    // 专享宝贝 20160823 yangjk add start
    if ($("#goods-vip").hasClass("uappe")) {
        $("#goods-vip").removeClass("uappe");
        $("#goods-vip").addClass("uhide");
    }    
    // 专享宝贝 20160823 yangjk add end
    if ($("#goods-list").html()) {
        return;
    }
    showlist();
}

/**
 *初始化商品列表
 */
function showlist(refresh) {
    if (refresh) {
        $("#goods-list").html('');
    }
    var data = {};
    data['ctlname'] = 'shop_goods';
    data['method'] = 'gallery';
    data['store_id'] = store_id;
    data['orderType'] = orderType;
    // 获取用户ID 20160823 yangjk add start
    data['member_id'] = appcan.locStorage.getVal("session_memberid");
    // 获取用户ID 20160823 yangjk add
    AJAX.post(data, function(json) {
        appcan.window.closeToast();
        if (json.status) {
            showGoodsList(json.data);
        } else {
            appcan.window.openToast(json.msg, 5000, 0);
        }
    }, function() {
        appcan.window.closeToast();
        uexWindow.alert('', '操作超时', '确定');
    }, 0);
}
/**
 * 显示专享宝贝 20160823 yangjk add 
 */
function showgoodsvip() {
    if ($("#goods-vip").hasClass("uhide")) {
        $("#goods-vip").removeClass("uhide");
        $("#goods-vip").addClass("uappe");
    }
    if ($("#goods-all").hasClass("uappe")) {
        $("#goods-all").removeClass("uappe");
        $("#goods-all").addClass("uhide");
    }
    if ($("#shelves").hasClass("uappe")) {
        $("#shelves").removeClass("uappe");
        $("#shelves").addClass("uhide");
    }
    if ($("#shop-index").hasClass("uappe")) {
        $("#shop-index").removeClass("uappe");
        $("#shop-index").addClass("uhide");
    }
    if ($("#goods-viplist").html()) {
        return;
    }
    showviplist();
}
/**
 *初始化vip商品列表 20160823 yangjk add 
 */
function showviplist(refresh) {
    if (refresh) {
        $("#goods-viplist").html('');
    }
    var data = {};
    data['ctlname'] = 'shop_goods';
    data['method'] = 'galleryvip';
    data['store_id'] = store_id;
    data['orderType'] = orderType;
    data['member_id'] = appcan.locStorage.getVal("session_memberid");
    AJAX.post(data, function(json) {
        appcan.window.closeToast();
        if (json.status) {
            showGoodsVipList(json.data);
        } else {
            appcan.window.openToast(json.msg, 5000, 0);
        }
    }, function() {
        appcan.window.closeToast();
        uexWindow.alert('', '操作超时', '确定');
    }, 0);
}
/**
 *显示全部商品
 */
function showGoodsVipList(data) {
    var list = $("#goods-viplist");
    for (var i in data) {
        var html = '<li id="' + data[i].goods_id + '" data-type="' + data[i].act_type + '">' 
                  + '    <div><img src="' + data[i].small_pic + '" onerror="javascript:this.src=\'index/css/myImg/shangpinzhanwei.png\'"/>'
                  + '    </div>' 
                  + '    <div class="ub ub-ver">' 
                  + '        <div class="goods-item-info goods-item-name">' 
                  + '           <span>' + data[i].label + '</span>' + data[i].name 
                  + '        </div>' 
                  + '        <div class="active goods-item-info ulev-1">' 
                  + '           <div>'           
                  + '               <span>' + data[i].price_label + '</span>¥' + data[i].price + '<br>'
                  + '               <span class="tx-through ulev-1 sc-text umar-l">¥' + data[i].mktprice + '</span>' 
                  + '           </div>'
                  + '           <span id="addcart-'+ data[i].goods_id +'" class="tb tb-cart fa-fw add-cart" data-type="'+ data[i].act_type +'"></span>'          
                  + '       </div>' 
                  + '    </div>' 
                  + '</li>';
        list.append(html);
        appcan.button("#" + data[i].goods_id, "", function() {
            appcan.locStorage.setVal('product_id', this.id);
            appcan.window.open({
                name : 'goods_detail',
                dataType : 0,
                type : 4,
                data : '../../mall_goods/goods_detail.html',
                aniId : 2
            });
        });
        //商品购物车按钮点击事件   guoy  2017/10/17
        appcan.button("#addcart-" + data[i].goods_id, "", function(event){
            var strs = this.id.split("-"); //字符分割
            var type = this.getAttribute("data-type");
            addCart(strs[1], type);
            //
            event.stopPropagation(); //停止事件传播，防止触发商品点击事件
        });
    }
}
/**
 *显示全部商品
 */
function showGoodsList(data) {
    var list = $("#goods-list");
    for (var i in data) {
        var html = '<li id="' + data[i].goods_id + '" data-type="' + data[i].act_type + '">' 
                 + '    <div><img src="' + data[i].small_pic + '" onerror="javascript:this.src=\'index/css/myImg/shangpinzhanwei.png\'"/>' 
                 + '    </div>' 
                 + '    <div class="ub ub-ver">' 
                 + '        <div class="goods-item-info goods-item-name">' 
                 + '            <span>' + data[i].label + '</span>' + data[i].name 
                 + '        </div>' 
                 + '        <div class="active goods-item-info ulev-1">' 
                 + '            <span id="addcart-'+ data[i].goods_id +'" class="tb tb-cart fa-fw add-cart" data-type="'+ data[i].act_type +'"></span>'
                 + '            <span>' + data[i].price_label + '</span>¥' + data[i].price +'<br>'      
                 + '            <span class="tx-through ulev-1 sc-text ">¥' + data[i].mktprice + '</span>' 
                 + '        </div>' 
                 + '    </div>' 
                 + '</li>';
        list.append(html);
        appcan.button("#" + data[i].goods_id, "", function() {
            appcan.locStorage.setVal('product_id', this.id);
            appcan.window.open({
                name : 'goods_detail',
                dataType : 0,
                type : 4,
                data : 'goods_detail.html',
                aniId : 2
            });
        });
         //商品购物车按钮点击事件   guoy  2017/10/17
        appcan.button("#addcart-" + data[i].goods_id, "", function(event){
            var strs = this.id.split("-"); //字符分割
            var type = this.getAttribute("data-type");
            addCart(strs[1], type);
            //
            event.stopPropagation(); //停止事件传播，防止触发商品点击事件
        });
    }
}

/**
 *排序按钮点击事件
 */
appcan.button(".js-change", "", function() {
    var div = $(this);
    if (div.hasClass("active")) {
        var icon = this.getElementsByTagName("i")[0];
        toggleClass(icon);
        var div_orderType = div.data("order");
        if (div_orderType == 6 && (orderType == 6 || orderType == 7)) {
            orderType = (orderType == 6 ? 7 : 6);
            showlist(true);
        }
    } else {
        var afterObj = $(".js-change.active");
        clearActive(afterObj);
        orderType = div.data("order");
        this.classList.add("active");
        showlist(true);
    }
});

/**
 *VIP商品列表中排序按钮点击事件 20160823 yangjk add
 */
appcan.button(".js-changevip", "", function() {
    var div = $(this);
    if (div.hasClass("active")) {
        var icon = this.getElementsByTagName("i")[0];
        toggleClass(icon);
        var div_orderType = div.data("order");
        if (div_orderType == 6 && (orderType == 6 || orderType == 7)) {
            orderType = (orderType == 6 ? 7 : 6);
            showviplist(true);
        }
    } else {
        var afterObj = $(".js-changevip.active");
        clearActive(afterObj);
        orderType = div.data("order");
        this.classList.add("active");
        showviplist(true);
    }
});

/**
 *清除选中状态
 */
function clearActive(obj) {
    if (obj.hasClass("active")) {
        obj.removeClass("active");
    }
    var icon = obj[0].getElementsByTagName("i")[0];
    if (icon) {
        if (icon.classList.contains("tb-fold")) {
            icon.classList.remove("tb-fold");
            icon.classList.add("tb-unfold");
        }
    }
}

/**
 *切换从小到大排序状态
 */
function toggleClass(dom) {
    if (dom) {
        if (dom.classList.contains("tb-fold")) {
            dom.classList.remove("tb-fold");
            dom.classList.add("tb-unfold");
        } else if (dom.classList.contains("tb-unfold")) {
            dom.classList.remove("tb-unfold");
            dom.classList.add("tb-fold");
        }
    }
}

/**
 *改变商品列表图标显示样式
 */
appcan.button("#nav-right", "btn-act", function() {
    var icon = $("#nav-right-icon");
    var style = 0;
    if (icon.hasClass("tb-list")) {
        style = 1;
        icon.removeClass("tb-list");
        icon.addClass("tb-cascades");
    } else {
        icon.addClass("tb-list");
        icon.removeClass("tb-cascades");
    }
    toggleListStyle(style);
});

/**
 *改变商品列表样式
 */
function toggleListStyle(idx) {
    var list = $("#goods-list");
    if (idx == 1) {
        if (list.hasClass("goods-list")) {
            list.removeClass("goods-list");
            list.addClass("goods-list-2");
        }
    } else {
        if (list.hasClass("goods-list-2")) {
            list.removeClass("goods-list-2");
            list.addClass("goods-list");
        }
    }
}

/**
 *改变VIP商品列表图标显示样式  20160823 yangjk add 
 */
appcan.button("#vipnav-right", "btn-act", function() {
    var icon = $("#vipnav-right-icon");
    var style = 0;
    if (icon.hasClass("tb-list")) {
        style = 1;
        icon.removeClass("tb-list");
        icon.addClass("tb-cascades");
    } else {
        icon.addClass("tb-list");
        icon.removeClass("tb-cascades");
    }
    toggleVipListStyle(style);
});

/**
 *改变VIP商品列表样式  20160823 yangjk add 
 */
function toggleVipListStyle(idx) {
    var list = $("#goods-viplist");
    if (idx == 1) {
        if (list.hasClass("goods-list")) {
            list.removeClass("goods-list");
            list.addClass("goods-list-2");
        }
    } else {
        if (list.hasClass("goods-list-2")) {
            list.removeClass("goods-list-2");
            list.addClass("goods-list");
        }
    }
}