//微信支付请求参数
var appid,
    partnerid,
    prepayid,
    noncestr,
    timestamp,
    sign,
    mch_id,
    payment_id;
var startoff;
var total = 0;
var pay_money;
var pay_type;//支付类型(支付平台(公司)、原生支付)
var get_type;//获取支付的来源 如 卡券、商城
appcan.ready(function() {
    RechargeY.value = '';
});
function check(v){
    var r=/^[0-9]+.?[0-9]*$/;
    if(!r.test(v)){ //isNaN也行的,正则可以随意扩展
        appcan.window.openToast("只能输入数字", 2000, 5);
        RechargeY.value = '';
    }
}
window.uexOnload = function(type) {
    var type = appcan.locStorage.getVal('deviceType');
    get_type = appcan.locStorage.getVal('get_type');//提取缓存 判断来源于哪个项目
    if(type == 'Android'){
         var params = {
            windowName:"inputpayment"//你需要回调的窗口名字
        };
        uexWeiXin.setCallbackWindowName(JSON.stringify(params));//设置接收回调方法的窗口名称(微信app支付)(安卓偶尔回调不回来的情况)
    }
    //获取支付方式
    getpay();
    //判断是公司的支付平台还是原生支付
    var getdata = {};
    getdata['ctlname'] = 'order_payment';
    getdata['method'] = 'get_paytype';
    AJAX.post(getdata,function(json){
        if(json.status){
            //platform 是公司的支付平台
            if(json.type == 'platform'){
                pay_type = 'platform';
                uexWeiXin.cbStartPay = cbStartPay;
                uexWeiXin.cbRegisterApp = cbRegisterApp;//微信是否安装
                uexWeiXin.cbIsWXAppInstalled = cbWXAppInstalled;//检测是否安装微信客户端
                uexWeiXin.cbIsSupportPay = cbSupportPay;//打开微信 并调起微信
                uexWeiXin.cbGetPrepayId = cbGetPrepayId;//微信回调
                uexAliPay.onStatus = paySuccess;//支付宝的支付成功返回(监听)
                uexWidgetOne.cbError = payFailed;//系统全局，出现异常时的回调方法
            }else{
                pay_type = 'primary';
                uexWeiXin.cbStartPay = cbStartPay;
                uexWeiXin.cbRegisterApp = cbRegisterApp;//微信是否安装
                uexWeiXin.cbIsWXAppInstalled = cbWXAppInstalled;//检测是否安装微信客户端
                uexWeiXin.cbIsSupportPay = cbSupportPay;//打开微信 并调起微信
                uexWeiXin.cbGetPrepayId = cbGetPriPrepayId;//微信回调
                uexAliPay.onStatus = paySuccess;//支付宝的支付成功返回(监听)
                uexWidgetOne.cbError = payFailed;//系统全局，出现异常时的回调方法
            }
        }else{
            appcan.window.openToast(json.msg, 2000, 5);
        }
    },function(){
    },0);
}

//获取支付方式
function getpay(){
    var data = {};
    data['ctlname'] = 'order_payment';
    data['method'] = 'getpay';
    AJAX.post(data, function(json) {
        if(json.wxpay == "true"){
            $('#wxpay').css('display','');
        }
        if(json.alipay == "true"){
            $('#alipay').css('display','');
        }
    }, function() {
    }, 0); 
}
//微信支付
function cbWXAppInstalled(opCode, dataType, data) {
    if (0 == data) {//返回0-已安装，1-未安装
        // 判断微信是否支持支付(微信5.0以上版本支持支付功能)
        uexWeiXin.isSupportPay();
    } else {
        appcan.window.confirm({
            title : '温馨提示',
            content : '您还未安装微信，请安装微信后再重试！',
            buttons : ['确定'],
            callback : function(err, data, dataType, optId) {}
        });
        return;
    }
}
//微信支付
function cbSupportPay(opCode, dataType, data) {
    if (0 == data) {//返回0支持，1版本太低不支持
        //发红包
        if(get_type == 'recharge'){
            appcan.window.confirm({
                title : '支付提示',
                content : '亲！确认充值请点击充值！',
                buttons : ['充值', '取消'],
                callback : function(err, data, dataType, optId) {
                    if (err || data == 1) {
                        //如果出错了或者取消
                        return;
                    } else {
                        uexWindow.toast(1, 5, "正在打开微信...", 0);
                        pay('wxpay');
                    }
                }
            });
        }
    } else {
        appcan.window.confirm({
            title : '温馨提示',
            content : '您的微信版本过低，不支持支付功能，请先升级微信！',
            buttons : ['确定'],
            callback : function(err, data, dataType, optId) {}
        });
        return;
    }
}

//微信回调接收(预支付单)
function cbGetPrepayId(info) {
    var prepayId;
    prepayId = JSON.parse(info).prepay_id;
    var data = {};
    data['ctlname'] = 'order_payment';
    data['method'] = 'getPayParams';
    data['prepayid'] = prepayId;
    data['payment_id'] = payment_id;
    data['pay_type'] = pay_type;
    AJAX.post(data, function(json) {
        if (json.status) {
            requestPayParams(json.data);
        } else {
            appcan.window.openToast(json.msg, 2000, 5);
        }
    }, function() {
    }, 0);
}
//获取微信支付的参数
function requestPayParams(json) {
    var data = {};
    data = json;
    AJAX1.post(data, function(json) {
        if (json.status == "SUCCESS") {
            startPay(json);
        } else {
            appcan.window.openToast(json.message, 2000, 5);
        }
    }, function() {
    }, 0);
}
//开始微信支付
function startPay(json) {
    var params = {
        appid : json.appid,
        partnerid : json.partnerid,
        prepayid : json.prepayid,
        package : json.package1,
        noncestr : json.noncestr,
        timestamp : json.timestamp,
        sign : json.sign
    };
    var data = JSON.stringify(params);
    try {
        uexWeiXin.startPay(data);
    } catch(err) {
        alert("err:" + err.description);
    }
}
function paySuccess(status, des) {
    if (status == 0) {
        if(get_type == 'recharge'){
            paysucc();
        }
    } else {
        appcan.window.openToast(des, 2000, 5);
    }
}

function payFailed(opCode, errorCode, des) {
    appcan.window.openToast(des, 2000, 5);
}

function cbRegisterApp(info) {
    // 判断微信是否安装
    uexWeiXin.isWXAppInstalled();
}
//微信支付
function checkWx() {
    uexWeiXin.registerApp(appcan.locStorage.getVal('wxAppID'));
}
//微信支付(去请求公司的支付平台)
function doWxpay(data) {
    var params = data.data;
    payment_id = params.orderNo;
    AJAX1.post(params, function(json) {
        if (json.status=="SUCCESS") { 
            //生成预支付订单
            // mch_id = json.mch_id;
            // appid = json.appid;
            getPrepayId(json);
        } else {
            appcan.window.openToast(json.message, 2000, 5);
        }
    }, function() {
    }, 0);
}

//生成微信的预支付订单
function getPrepayId(json) {
    var params = {
        appid : json.appid,
        mch_id : json.mch_id,
        nonce_str : json.nonce_str,
        body : json.body,
        out_trade_no : json.out_trade_no,
        total_fee : json.total_fee,
        spbill_create_ip : json.spbill_create_ip,
        notify_url : json.notify_url,
        trade_type : json.trade_type,
        time_start : json.time_start,
        time_expire : json.time_expire,
        sign : json.sign
    };
    var data = JSON.stringify(params);
    try {
        uexWeiXin.getPrepayId(data);
    } catch(err) {
        alert("err:" + err.description);
    }
}

//支付宝支付
function doAlipay(json) {
    var params = {};
    params['orderNo'] = json.orderNo; //订单号
    params['orderPrice'] = json.orderPrice; //总价钱
    params['services'] = json.services; //service
    params['orderDate'] = json.orderDate; //下单日期
    params['orderTime'] = json.orderTime; //下单时间
    params['productName'] = json.productName;  //商品名称
    params['payKey'] = json.payKey; //支付key
    params['payWayCode'] = json.payWayCode; //支付方式
    params['orderIp'] = json.orderIp; //下单ip
    params['orderPeriod'] = json.orderPeriod; //订单有效期 分钟
    params['notifyUrl'] = json.notifyUrl;  //后台消息通知Url
    params['timestamp'] = json.timestamp;   //时间戳
    params['sign'] = json.sign;  //签名
    params['remark'] = json.remark;   //商品详情
    params['method'] = json.method; //方法名
    params['field1'] = json.field1; //附加参数
    params['field2'] = json.field2; //附加参数
    params['field3'] = json.field3; //附加参数
    params['field4'] = json.field4; //附加参数
    params['field5'] = json.field5; //附加参数
    AJAX1.post(params, function(jsone) {
        if (jsone.status=='SUCCESS') { 
           uexAliPay.gotoPay(jsone.info);
        } else {
            appcan.window.openToast(jsone.message, 2000, 5);
        }
    }, function() {
    }, 0);
}


function pay(payment) {
    //钱包充值
    if(get_type == 'recharge'){
        var money = RechargeY.value;
        var login_name = appcan.locStorage.getVal(session_user);
        var memberid = appcan.locStorage.getVal('session_memberid');
        var data = {};
        data['ctlname'] = 'order_rechargement';
        data['method'] = 'dopay';
        data['payment'] = payment;
        data['money'] = money;
        data['memberid'] = memberid;
        data['login_name'] = login_name;
    }
    data['pay_type'] = pay_type;
    AJAX.post(data, function(json) {
        if (json.status) {
            switch(payment) {
                case 'wxpay' :
                    if(pay_type == 'platform'){
                        doWxpay(json);
                    }else{
                        doPriWxpay(json);
                    }
                    break;
                case 'alipay' :
                    if(json.wftpay){
                        if(uexWidgetOne.platformName=='iOS'){
                            uexWidget.loadApp(json.codeUrl);
                        }else{
                            uexWidget.startApp("1", "android.intent.action.VIEW", '{"data":{"mimeType":"text\/html","scheme":"'+json.codeUrl+'"}}');
                        }
                        return;
                    }else{
                        if(pay_type == 'platform'){
                            doAlipay(json.data);
                        }else{
                            doPriAlipay(json);
                        }
                        break;
                    }
                default :
                    appcan.window.openToast(json.msg, 2000, 5);
                    getTime = window.setInterval(function() {
                        doUpdate();
                    }, 2000);
            }
        } else {
            uexWindow.closeToast();
            appcan.window.openToast(json.msg, 2000, 5);
        }
    }, function() {
    }, 0);
}



//支付成功后，要进行的操作
function paysucc(){
    if(get_type == 'recharge'){
        appcan.window.openToast("充值成功！", 2000, 5);
        appcan.window.evaluatePopoverScript({
            name : 'mypurse',
            popName : 'content',
            scriptContent : 'getData()'
        });
        appcan.frame.evaluateScript({
            name :'mywallet',
            popName : 'content', 
            scriptContent : 'initData()'
        });
        appcan.window.evaluateScript({ 
            name : 'inputpayment', 
            scriptContent : 'closeWin()' 
        });
    }
}


function doUpdate() {
    if(get_type == 'recharge'){
        window.clearInterval(getTime);
        appcan.window.evaluateScript({
            name : 'inputpayment',
            scriptContent : 'winclose()'
        });
    }
}
//提交支付信息
appcan.button(".btn", "btn-act", function() {
    var payment = this.id;
    var r=/^((\d{1,3}(,\d{3})*)|(\d+))(\.\d{1,2})?$/;
    if(RechargeY.value == ''){    
        appcan.window.openToast('亲！请输入充值金额！', 2000, 5);
        return;
    } else if(!r.test(RechargeY.value)){
        RechargeY.value = '';
        appcan.window.openToast('充值金额不正确，请重新输入！', 2000, 5);
        return;
    } else{ 
        //获取支付方式名称
        appcan.window.confirm({
            title : '支付提示',
            content : '亲！确认充值请点击充值！',
            buttons : ['充值', '取消'],
            callback : function(err, data, dataType, optId) {
                if (err || data == 1) {
                    //如果出错了或者取消
                    return;
                }
                pay(payment);
            }
        });
    }
});
//原生支付 微信
function doPriWxpay(json){
    //生成预支付订单
    getPrepayIdPri(json.data);
}

function getPrepayIdPri(json) {
    payment_id = json.out_trade_no;
    var params = {
        appid : json.appid,
        mch_id : json.mch_id,
        nonce_str : json.nonce_str,
        body : json.body,
        out_trade_no : json.out_trade_no,
        total_fee : json.total_fee,
        spbill_create_ip : json.spbill_create_ip,
        notify_url : json.notify_url,
        trade_type : json.trade_type,
        sign : json.sign
    };
    var data = JSON.stringify(params);
    try {
        uexWeiXin.getPrepayId(data);
    } catch(err) {
        alert("err:" + err.description);
    }
}

function cbGetPriPrepayId(info) {
    //微信回调接收
    var prepayId;
    prepayId = JSON.parse(info).prepay_id;
    requestPriPayParams(prepayId);
}

function requestPriPayParams(prepayId){
    var data = {};
    data['ctlname'] = 'order_payment';
    data['method'] = 'getPayParams';
    data['prepayid'] = prepayId;
    data['pay_type'] = pay_type;
    AJAX.post(data, function(json) {
        if (json.status) {
            startPriPay(json.data);
        } else {
            appcan.window.openToast(json.msg, 2000, 5);
        }
    }, function() {
    }, 0);
}

function startPriPay(json) {
    var params = {
        appid : json.appid,
        partnerid : json.partnerid,
        prepayid : json.prepayid,
        package : json.package,
        noncestr : json.noncestr,
        timestamp : json.timestamp,
        sign : json.sign
    };
    var data = JSON.stringify(params);
    try {
        uexWeiXin.startPay(data);
    } catch(err) {
        alert("err:" + err.description);
    }
}

function doPriAlipay(json){
    uexAliPay.setPayInfo(json.partner, json.seller, json.rsaPrivate, json.rsaPublic, json.notifyUrl);
    var get_type = appcan.locStorage.getVal('get_type');//提取缓存 判断来源于哪个项目
    uexAliPay.pay(json.orderid, json.title, json.memo, json.money);
}


//支付成功
function cbStartPay(info) {
    var errCode,errStr;
    errCode = JSON.parse(info).errCode;
    errStr = JSON.parse(info).errStr;
    uexWindow.closeToast();
    if(errCode == 0){
        paysucc();
    } else if (errCode == -2) {
        appcan.window.openToast("支付取消", 2000, 5);
    } else {
        appcan.window.openToast("支付失败，请重新支付！", 2000, 5);
    }
}
