appcan.ready(function() {
    $('#myPointTitle').html('我的'+appcan.locStorage.getVal("score_name")+':');
    $('#pointDetail').html(appcan.locStorage.getVal("score_name")+'明细 >');
    $('#txname').html('赚'+appcan.locStorage.getVal("score_name"));
    $('#huaname').html('花'+appcan.locStorage.getVal("score_name"));
    getInfo();
});
    function getInfo(){
        var data = {};
        data['ctlname'] = 'user_point';
        data['method'] = 'pointMall';
        data['member_id'] = appcan.locStorage.getVal('session_memberid');
        AJAX.post(data, function(json) {
            if(json){
                showStyle(json.data);//页面样式
                adImg(json.data);//轮播图
                drawLottery(json.data);//抽奖区
                theme(json.data);//主题区
            }
        }, function() {
        },0);
    }
    //添加页面样式
    function showStyle(data){
        $('#body').css('background-color',data.valid_colour);
        $('#drawTitle').css('color',data.lTitle_colour);
        $('#drawTitle').css('background-image','URL('+data.lottery_img+')');
        $('#backTitle').css('color',data.tTitle_colour);
        $('#backTitle').css('background-image','URL('+data.theme_img+')');
        $('#themeTitle').text(data.theme_title);
        $('#myPoint').text(data.point);
    }
    
    //添加轮播图
    function adImg(data) {
        if(data.carousel_show == 'false'){
            $('#slider-contrl').css('display','none !important');
            return;
        }
        //商品图片轮播图 begin
        var slider = appcan.slider({
            selector : '#slider',
            canDown : true,
            hasIndicator : false,
            hasContent : false,
            aspectRatio : 1 / 2,
            hasCircle : true,
            auto : 3000,
            index : 0
        });
        var updateData = [];
        var slider_url = data.skip_type;
        for(var i in slider_url){
            var data = '';
            if(slider_url[i].skip_type == 'definedpage'){
                data = slider_url[i].definedpage.pagename;
                var slData = {
                    img : slider_url[i].img, //图片地址
                    type : slider_url[i].skip_type, //跳转类型
                    data : data, //跳转参数
                    checklogin : slider_url[i].definedpage.checklogin,
                    pagename : slider_url[i].define_pagename, //自定义页面名称 
                    define_key : slider_url[i].definedpage_key,
                    define_value : slider_url[i].definedpage_value,
                };
            }else if(slider_url[i].skip_type == 'goods' || slider_url[i].skip_type == 'cpns' || slider_url[i].skip_type == 'card' || slider_url[i].skip_type == 'flow'){
                //var skip_page = slider_url[i].goodslist;
                var skip_page = slider_url[i].goodslist;
                var status = JSON.stringify(skip_page).indexOf(",");
                if(status < 0){
                    var slData = {
                        img : slider_url[i].img, //图片地址
                        type : 'definedpage', //跳转类型
                        data : 'points_store_detail.html', //跳转参数
                        checklogin : '0',
                        pagename : 'points_store_detail.html', //自定义页面名称
                        //积分兑换页参数
                        manage_id : Number(skip_page),
                        exchange_type : slider_url[i].skip_type,
                    }
                }else{
                    var slData = {
                        img : slider_url[i].img, //图片地址
                        type : 'definedpage', //跳转类型
                        data : 'pointList.html', //跳转参数
                        checklogin : '0',
                        pagename : 'pointList.html', //自定义页面名称
                        //积分兑换页参数
                        manage_id : skip_page,
                        exchange_type : slider_url[i].skip_type,
                    }
                }
            }else{
                var slData = {
                    img : slider_url[i].img, //图片地址
                }
                data = slider_url[i].goodslist;
            }
            updateData.push(slData);
        }
        slider.set(updateData); 
        slider.on("clickItem", function(index,slData) {
            if(slData.manage_id.length > 1){
                appcan.locStorage.setVal('manages_id', slData.manage_id);
                appcan.locStorage.setVal('exchange_type', slData.exchange_type);
            }else{
                appcan.locStorage.setVal('manage_id', slData.manage_id);
                appcan.locStorage.setVal('exchange_type', slData.exchange_type);
            }
            if(slData.define_key){
                appcan.locStorage.setVal(slData.define_key, slData.define_value);
            }
        });
    }
    
    //显示抽奖区数据
    function drawLottery(data){
        if(data.lottery_show == 'false'){
            $('#drawLottery').css('display','none !important');
            return;
        }
        var list = "";
        list += '<div class="WheelSurfL" id="WheelSurfL" data-type='+data.left_award+'>'
             + '    <img class="" src='+data.left_img+'>'
             + '</div>';
        list += '<div class="WheelSurfR" id="WheelSurfR" data-type='+data.right_award+'>'
             + '    <img class="" src='+data.right_img+'>'
             + '</div>';
        $('#WheelSurf').html(list);
        //左转盘点击事件
        appcan.button("#WheelSurfL", "btn-act", function() {
            draw(data,this);
        });
        //右转盘点击事件
        appcan.button("#WheelSurfR", "btn-act", function() {
            draw(data,this);
        });
    }
    
    //抽奖方法
    function draw(data,th){
        var type = th.getAttribute('data-type');
        var dataB = {};
        if(type == 'rel'){
            dataB['ctlname'] = 'activity_realprize';//实奖
            dataB['method'] = 'getPrize';
        }else{
            dataB['ctlname']  = 'activity_prizepoint';//虚奖
            dataB['method'] = 'getPrize';
        }
        var locStorage = appcan.require('locStorage');
        var login_name = locStorage.getVal('session_user');
        dataB['login_name'] = login_name;
        AJAX.post(dataB, function(json) {
            var img = json.pictures;
            locStorage.setVal('image',img);
            if(type == 'rel'){
                appcan.locStorage.setVal('get_lucky_status',data.get_lucky_status);
                if(data.get_lucky_status == "true"){
                    //积分撞大奖，奖品过期提示 wangbq start 20160803
                    if(json.flg == 'novir' || json.flg == 'overdue'){
                        openAlert('',json.msg,'确定');
                    }else{
                    //积分撞大奖，奖品过期提示 wangbq end 20160803
                        appcan.openWinWithUrl('group', 'real_prize.html');//跳转实奖页面
                    }
                }else{
                    uexWindow.alert('', '活动暂未开启，敬请期待', '确定');
                    return;
                }
            }else{
                if(data.get_luckydraw_status == "true"){
                    appcan.openWinWithUrl('group', 'point_prize.html');//虚奖页面
                }else{
                    uexWindow.alert('', '活动暂未开启，敬请期待', '确定');
                    return;
                }
            }
        }, function() {
            if (t) {
                more.innerHTML = '<span>加载失败，点击重新加载</span>';
            }
        }, 0);
    }
    
    //显示主题区
    function theme(data){
        if(data.theme_show == 'false'){
            $('#theme').css('display','none !important');
            return;
        }
        var list0S = '<div id="themeT" class="ub ub-pc themeT">';
        var list0 = '';
        var list0E = '</div>';
        var list1S = '<div id="themeTR" class="ub ub-f1 ub-ver themeTR">';
        var list1 = '';
        var list1E = '</div>';
        var list2S = '<div id="themeB" class="themeB" >';
        var list2 = '';
        var list2E = '</div>';
        var list_end = '<div id="fill"></div>';
        var goodslist = [];
        for(var i in data.theme_store){
            var store_data = data.theme_store[i];
            if((parseInt(i)+1) == 1){
                list0 += ' <div id="" class="ub-f1 themeTL theme" onclick=themeOnclick('+store_data.store_id+','+JSON.stringify(store_data.goodslist)+','+JSON.stringify(store_data.skip_type)+')>'
                      + '    <img class="ub ub-f1" src='+store_data.store_img+' style="width:100%; height:100%;"/>'
                      + ' </div>'
            }else if((parseInt(i)+1) == 2){
                list1 +='    <div class="ub-f1 themeTRT theme" onclick=themeOnclick('+store_data.store_id+','+JSON.stringify(store_data.goodslist)+','+JSON.stringify(store_data.skip_type)+')>'
                      + '        <img class="ub ub-f1" src='+store_data.store_img+'/>'
                      + '    </div>';
            }else if((parseInt(i)+1) == 3){
                list1 +='    <div class="ub-f1 themeTRT1 theme" onclick=themeOnclick('+store_data.store_id+','+JSON.stringify(store_data.goodslist)+','+JSON.stringify(store_data.skip_type)+')>'
                      + '        <img class="ub ub-f1" src='+store_data.store_img+'/>'
                      + '    </div>';
            //通栏
            }else if(store_data.status == 'true'){
                list2 +='    <div class="banner" skip_type="'+store_data.skip_type+'" bannerstore_id="'+store_data.bannerstore_id+'" definedpage_value="'+store_data.definedpage_value+'" definedpage_id="'+store_data.define_pagename+'" goodslist='+store_data.goodslist+'>'
                      + '        <img class="ub ub-f1" src='+store_data.store_img+'/>'
                      + '    </div>';
                //标题
                if(store_data.theme != '' || store_data.theme_color != '' || store_data.theme_image != ''){
                    list2 +='    <div class="ub ub-ac theme_title" style="background-image:url('+store_data.theme_image+')">'
                          + '        <label class="title_label" style="color:'+store_data.theme_color+'">'+store_data.theme+'</label>'
                          + '    </div>';
                }
            //店铺
            }else if(store_data.store_id){
                if(parseInt(i)%2 == 0){
                    list2 +='    <div class="themeBA theme" onclick=themeOnclick('+store_data.store_id+','+JSON.stringify(store_data.goodslist)+','+JSON.stringify(store_data.skip_type)+')>'
                          + '        <img class="ub ub-f1" src='+store_data.store_img+'/>'
                          + '    </div>';
                }else{
                    list2 +='    <div class="themeBA1 theme" onclick=themeOnclick('+store_data.store_id+','+JSON.stringify(store_data.goodslist)+','+JSON.stringify(store_data.skip_type)+')>'
                          + '        <img class="ub ub-f1" src='+store_data.store_img+'/>'
                          + '    </div>';
                }
            }
        }
        $('#themeContent').html(list0S+list0+list1S+list1+list1E+list0E+list2S+list2+list_end+list2E);
        //$("#themeTLImg").css('height',($("#themeTL").height()*0.981));
        appcan.button(".theme", "btn-act", function() {
            //themeOnclick('+store_data.store_id+','+JSON.stringify(store_data.goodslist)+','+JSON.stringify(store_data.skip_type)+');
        })
        //通栏点击事件
        appcan.button(".banner", "btn-act", function() {
            //跳转类型
            var skip_type = this.getAttribute('skip_type');
            var bannerstore_id = this.getAttribute('bannerstore_id');
            var definedpage_id = this.getAttribute('definedpage_id');
            var definedpage_value = this.getAttribute('definedpage_value');
            var goodslist = JSON.stringify(this.getAttribute('goodslist').split(","));
            if(skip_type == 'goods' || skip_type == 'cpns' || skip_type == 'card' || skip_type == 'flow'){
                if(bannerstore_id != '' && bannerstore_id != null){
                    var status = JSON.stringify(goodslist).indexOf(",");
                    appcan.locStorage.setVal('exchange_type',skip_type);
                    if(status < 0){
                        appcan.locStorage.setVal('manage_id',goodslist);
                        appcan.openWinWithUrl('group', 'points_store_detail.html');
                    }else{
                        appcan.locStorage.setVal('manages_id',goodslist);
                        appcan.openWinWithUrl('group', 'pointList.html');
                    }
                }
            }
            if( skip_type == 'definedpage'){
                var link = definedpage_id;
                if(link != '' && link != null){
                    appcan.locStorage.setVal('card_list',definedpage_value);
                    appcan.openWinWithUrl(link,link);
                }
            }
        });
    }
    
    //积分明细点击事件
    appcan.button("#pointDetailDiv", "btn-act", function() {
        appcan.openWinWithUrl('group', 'point_detail.html');
    });
    //赚积分点击事件
    appcan.button("#tabDumpL", "btn-act", function() {
        appcan.openWinWithUrl('group', 'earn_points.html');
    });
    //花积分点击事件
    appcan.button("#tabDumpC", "btn-act", function() {
        appcan.locStorage.remove('manages_id');
        appcan.openWinWithUrl('group', 'pointList.html');
    });
    //我的点击事件
    appcan.button("#tabDumpR", "btn-act", function() {
        appcan.openWinWithUrl('group', 'mypoints.html');
    });
    
    //主题点击事件
    function themeOnclick(store_id,goods_list,skip_type){
        //appcan.locStorage.setVal('store_id',store_id);
        //待确认 列表该商家的兑换物品
        var skip_page = goods_list;
        var status = JSON.stringify(skip_page).indexOf(",");
        appcan.locStorage.setVal('exchange_type',skip_type);
        if(status < 0){
            appcan.locStorage.setVal('manage_id',Number(skip_page));
            appcan.openWinWithUrl('group', 'points_store_detail.html');
        }else{
            appcan.locStorage.setVal('manages_id',goods_list);
            appcan.openWinWithUrl('group', 'pointList.html');
        }
    }