/**
 * @author guoy 2018-5-26  
 * @method 获取轮播图
 */
var sliderContainer;
function sliderInit(loopaddr) {
    sliderContainer = new Swiper('#slider', {
        pagination: '#slider .swiper-pagination',
        paginationClickable: true,
        autoplayDisableOnInteraction:false,
        initialSlide: 1,
        slidesPerView: 1,
        autoplay: 4000,
        speed:1000,
        loop: true,
        loopAdditionalSlides : loopaddr - 1,
        direction : 'horizontal',
        setWrapperSize:true,
    });
    sliderContainer.on('touchStart',function(){
        appcan.window.disableBounce();
    })
    sliderContainer.on('touchEnd', function () {
        appcan.window.enableBounce();
    });
}
//获取轮播图的数据信息
function getSlider(sliderInfo) {
    if(sliderInfo){
        $('#slider-contrl').css('display','block');
    }
    sliderContainer.removeAllSlides();
    if(sliderInfo.length > 1){
        $.each(sliderInfo,function(index,item){
             sliderContainer.appendSlide("<div style='font-size:0em' class='swiper-slide slider-font'><img style='width:100%;margin:0px 0px 0px 0px;' src='" +item+ "' /></div>");
        });
    }else{
        $('#slider').html("<div style='font-size:0em' class='swiper-slide slider-font'><img style='width:100%;margin:0px 0px 0px 0px;' src='" +sliderInfo[0]+ "' /></div>");
    }
}