var cangetpoint = false;
var sex_state = 1;//性别
var reporter_id;
appcan.ready(function() {
    reporter_id = appcan.locStorage.getVal("reporter_id");
    gethasreport();
    if (reporter_id) {
        initPage();
    }else{
        getAllArea()
    }
});
function gethasreport() {
    var data = {};
    data['ctlname'] = 'activity_reporter';
    data['method'] = 'gethasreport';
    AJAX.post(data, function(json) {
        if (json.status) {
            cangetpoint = true;
            $('#pointtosat').html('首次添加且补全信息可得<span style="color:#00BFFF" id="totpoint">' + json.point + '</span>'+appcan.locStorage.getVal("score_name"));
        } else {
            cangetpoint = false;
        }
    }, function() {
        openToast('操作超时');
    }, 0);
}
function getAllArea() {
    var data = {};
    data['ctlname'] = 'user_newaddress';
    data['method'] = 'getAllArea';
    data['parentId'] = 2183;//固定济南市
    AJAX.post(data,function(json) {
        if (json.status) {
            var aAreaArr = json.aArea;
            $("#selectArea2").append('<option value="">请选择</option>');
            for(var i in aAreaArr){
                $("#selectArea2").append('<option value='+aAreaArr[i].local_name+'>'+aAreaArr[i].local_name+'</option>'); 
            }
            appcan.select(".select",function(ele,value){
                $("#area").val(value);
            });
        } else {
            openAlert("", json.msg);
        }
    }, function() {
        openTosat('网络超时');
    }, 0);
}
function initPage() {
    var data = {};
    data['ctlname'] = 'activity_reporter';
    data['method'] = 'getReporterById';
    data['reporter_id'] = reporter_id;
    AJAX.post(data, function(json) {
        if (json.status == true) {
            var data = json.data;
            if(data.image_id){
                image_id.value = data.image_id;
                $('#touxiang').attr('src',data.url);
            }
            rname.value = data.name;
            idcard.value = data.idcard;
            birthday.value = data.birthday;
            var aAreaArr = data.arealist;
            $("#selectArea2").append('<option value="">请选择</option>');
            for(var i in aAreaArr){
                $("#selectArea2").append('<option value='+aAreaArr[i].local_name+'>'+aAreaArr[i].local_name+'</option>'); 
            }
            appcan.select(".select",function(ele,value){
                $("#area").val(value);
            });
            if(data.area){
                $("#area").val(data.area);
                selectArea2.parentElement.children[0].innerHTML = data.area;
            }
            addr.value = data.addr;
            var sexv = '#sex' + data.sex;
            if ($(sexv)) {
                $(sexv).attr("checked", "checked");
            }
            school.value = data.school;
            grade.value = data.grade;
            rclass.value = data.class;
            height.value = data.height;
            weight.value = data.weight;
            motto.value = data.motto;
        } else {
            openToast(json.msg);
            window.setTimeout("appcan.window.evaluateScript({name:'reporteradd', scriptContent:'closeWin()'});", 1000);
        }
    }, function() {
        openToast('操作超时');
    }, 0);
};
$('.radiobox').find('input').on('change', function(evt) {
    sex_state = this.value;
});
function releasemsg() {
    var continueflg = true;
    if (Trim(rname.value) == '') {
        openToast('姓名不能为空！', 2000, 5);
        return;
    }
    if (Trim(idcard.value) == '') {
        openToast('手机号不能为空！', 2000, 5);
        return;
    } else {
        if (!isPhone(idcard.value)) {
            openToast('请输入正确的手机号！', 2000, 5);
            return;
        }
    }
    if (continueflg) {
        postinf();
    }
}

function postinf() {
    var data = {};
    data['ctlname'] = 'activity_reporter';
    data['method'] = 'addReporter';
    data['login_name'] = appcan.locStorage.getVal(session_user);
    var data_p = {};
    if (reporter_id) {
        data_p['reporter_id'] = reporter_id;
    }
    data_p['name'] = rname.value;
    data_p['idcard'] = idcard.value;
    data_p['sex'] = sex_state;
    data['data'] = data_p;
    appcan.locStorage.remove("reporter_id");
    AJAX.post(data, function(json) {
        if (json.status == 'succeed') {
            //添加成功，返回列表页
            openToast(json.msg);
            appcan.window.evaluatePopoverScript({
                name:'reporter',
                popName:'content',   //这个必须写
                scriptContent:'request()'
            });
            window.setTimeout('appcan.window.evaluateScript({ name:"reporteradd",scriptContent:"closeWin()"});', 1000);
        } else {
            openToast(json.msg);
        }
    }, function() {
        openToast('操作超时');
    }, 0);
}
//上传头像
appcan.button("#headimg", "", function() {
    appcan.locStorage.setVal("imgetype","reporter_headimg");
    jsonobj = {};
    jsonobj['width'] = 220;
    jsonobj['height'] = 220;
    appcan.locStorage.setVal("dimensioner",jsonobj);
    appcan.locStorage.setVal("home","reporteradd");
    appcan.openWinWithUrl("clicpphoto","clicpphoto.html");
});
function upload(){
    var data = {};
    data['ctlname'] = 'activity_reporter';
    data['method'] = 'updateImg';
    var localurl = appcan.locStorage.getVal('reporteraddimg');
    data['url'] = localurl;
    AJAX.post(data, function(json) {
        openToast(json.msg);
        if(json.status){
            image_id.value = json.image_id;
            $('#touxiang').attr('src',json.url);
        }else{
            $('#touxiang').attr('src','css/image/default.jpeg');
        }
    }, function() {
        openToast('操作超时');
    }, 0);
}