
var act_array, act_companion = '';
var add_parent_status = false; //随行家长状态
var post_goto_java = false; //是否转到java进行并发处理
var post_goto_java_url = ""; //转到java进行并发处理服务器地址
appcan.ready(function() {
    request();
});

function request() {
    act_array = appcan.locStorage.getVal('act_array');
    act_companion = appcan.locStorage.getVal('act_companion');
    if (isEmpty(act_array) || isEmpty(act_companion)) {
        //openLoadingToast();
        appcan.window.openToast({
            msg : '正在加载...',
            position : 5,
            type : 1
        }); 
        var data = {};
        // 后端要使用的类和方法名
        data['ctlname'] = 'activity_signup';
        data['method'] = 'index';
        if (isEmpty(act_array)) {
            data['reporter'] = act_array;
        }
        if (isEmpty(act_companion)) {
            data['companion'] = act_companion;
        }
        data['login_name'] = appcan.locStorage.getVal(session_user);
        data['act_id'] = appcan.locStorage.getVal('act_id');
        AJAX.post(data, function(json) {
            appcan.window.closeToast();
            closeLoadingToast();
            if (json.status == 'true') {
                add_parent_status = json.add_parent;
                if (isEmpty(json.data)) {
                    listview(json);
                }
                if(add_parent_status == 'true'){
                    $('#companion').css('display','-webkit-box');
                    if (isEmpty(json.data1) ) {
                        listview1(json.data1);
                    }
                }
                //如果后台传入了使用java进行并发处理的开启，则在后面使用java并发处理处理报名信息
                if(json.post_goto_java){
                    post_goto_java = json.post_goto_java;
                }
                //后台如果传入java并发处理的地址，在后面就进行java提交活动的并发处理
                if(json.post_goto_java_url){
                    post_goto_java_url = json.post_goto_java_url
                }
               
            } else {
                openToast(json.msg);
            }
        }, function() {
            appcan.window.closeToast();
            // closeLoadingToast();
            openToast('操作超时');
        }, 0);
    }
};

function addReport() {// 添加参与人信息
    appcan.locStorage.setVal('act_array', act_array);
    appcan.locStorage.setVal('from_page', 'signup');
    appcan.openWinWithUrl('group', 'reporter.html');
}

function addCompanion() {// 添加随行人员
    appcan.locStorage.setVal('act_companion', act_companion);
    appcan.locStorage.setVal('from_page', 'signup');
    appcan.openWinWithUrl('group', 'companion.html');
}

function listview(json) {// 报名细信息列表
    var data = json.data;
    var total = json.total;
    var score = json.score;
    var pmtNum = json.pmtNum;
    var html = '';
    var jifen = '';
    for (var i = 0; i < data.length; i++) {
        if (i % 2 == 0) {
            html += '<div class="ub ulev-1" style="overflow: hidden; white-space: nowrap; text-overflow: clip;">'
                    + '<div class="ub-f1" style="width:50%;display:flex;align-items: center;">'
                    + '<img style="width:1.3em" src="../../css/image/default.png">'
                    + '<span style="margin-left:0.2em" id="'
                    + data[i].reporter_id
                    + '">'
                    + data[i].name
                    + '</span>'
                    + '</div>';
        } else {
            html += '<div class=" ub-f1" style="width:50%;display:flex;align-items: center;">'
                    + '<img style="width:1.3em" src="../../css/image/default.png">' 
                    + '<span style="margin-left:0.2em" id="'
                    + data[i].reporter_id + '">' + data[i].name + '</span>'
                    + '</div>' + '</div>';
        }
        while (i == data.length) {
            if (i % 2 != 0) {
                html += '</div>'
            }
        }
        $('#areaC').css('display','none');
    }
    $('#re_lists').html(html);
    $('#moneydiv').css('display', 'block');
    if (score != 'false' && score != 0) {
        jifen = '+' + score + appcan.locStorage.getVal("score_name");
    }
    $('#total').html(total + '元' + jifen);
    if(pmtNum){
        $('#pmt').html(pmtNum);
        $('#pmtdiv').css('display', 'block');
    }
}
function listview1(data) {// 随行家长列表
    var html = '';
    for (var i = 0; i < data.length; i++) {
        if (i % 2 == 0) {
            html += '<div class="ub" style="overflow: hidden; white-space: nowrap; text-overflow: clip;font-size:0.8em;">'
                    + '<div class="ub-f1" style="width:50%;">'
                    + '<div class="fa fa-user uinn"></div>'
                    + '<label id="'
                    + data[i].c_id
                    + '">'
                    + data[i].name
                    + '</label>'
                    + '</div>';
        } else {
            html += '<div class=" ub-f1" style="width:50%;">'
                    + '<div class="fa fa-user uinn"></div>' + '<label id="'
                    + data[i].c_id + '">' + data[i].name + '</label>'
                    + '</div>' + '</div>';
        }
        while (i == data.length) {
            if (i % 2 != 0) {
                html += '</div>'
            }
        }
        $('#areaP').css('display','none');
    }
    $('#c_lists').html(html);
}

appcan.button("#submit", "", function() {
    joinAct();
});
var confirm_type = true;
function joinAct() {
    if (!isNull(act_array)) {
        appcan.locStorage.setVal('from_page', 'signup');
        appcan.openWinWithUrl('group', 'reporter.html');
        return;
    }
    if(add_parent_status == 'true'){
        if (!isNull(act_companion)) {
            appcan.locStorage.setVal('from_page', 'signup');
            appcan.openWinWithUrl('group', 'companion.html');
            return;
        }
    }else{
        act_companion = [];
    }
    //重复提交处理
    if(!confirm_type){
        return;
    }
    confirm_type = false;
    var data = {};
    // 后端要使用的类和方法名
    data['ctlname'] = 'activity_signup';
    data['method'] = 'joinAct';
    data['reporter'] = act_array;
    data['companion'] = act_companion;
    data['changci'] = appcan.locStorage.getVal('changci_id');
    data['login_name'] = appcan.locStorage.getVal(session_user);
    data['act_id'] = appcan.locStorage.getVal('act_id');
    data['child_id'] = appcan.locStorage.getVal('signPhone');
     if(post_goto_java == "true" || post_goto_java == true){
        //appcan.locStorage.setVal('post_goto_java', true);
        AJAX.post_Currency(post_goto_java_url,data, function(json) {
                if (json.status == 'true') {
                    if (json.zero == '1') {
                        appcan.window.alert("", "报名成功",'',function(){
                            confirm_type = true;
                            //appcan.locStorage.remove('act_array');
                            //appcan.locStorage.remove('act_companion');
                            //closeHTML();
                            appcan.locStorage.setVal('sign_id', json.sign_id);//lirmtodo
                            appcan.openWinWithUrl('group', 'activity_order_list.html');
                        });
                    } else {
                        appcan.window.alert("", "报名成功，请及时支付，否则订单作废",'',function(){
                            confirm_type = true;
                            appcan.locStorage.setVal('pay_sign_id', json.sign_id);
                            appcan.locStorage.setVal('total_money', json.total_money);
                            //appcan.openWinWithUrl('group', 'payment.html');
                            appcan.locStorage.setVal('get_type','act');
                            appcan.openWinWithUrl('payment', 'payment.html');
                        });
                    }
                } else {
                    if (json.zero == '1') {
                        if (json.jfstatus == 'false') {
                            openAlert("", json.msg,'',function(){
                                confirm_type = true;
                                closeHTML();
                            });
                        }
                    } else {
                        openAlert("", json.msg,'',function(){
                            confirm_type = true;
                        });
                    }
                }
            }, function() {
                closeLoadingToast();
                openToast('操作超时');
                confirm_type = true;
            }, 0);
    }else{
        //appcan.locStorage.setVal('post_goto_java', false);
          AJAX.post(data, function(json) {
                if (json.status == 'true') {
                    if (json.zero == '1') {
                        appcan.window.alert("", "报名成功",'',function(){
                            //appcan.locStorage.remove('act_array');
                            //appcan.locStorage.remove('act_companion');
                            confirm_type = true;
                            //closeHTML();
                            appcan.locStorage.setVal('sign_id', json.sign_id);//lirmtodo
                            appcan.openWinWithUrl('group', 'activity_order_list.html');
                            appcan.window.close(-1);
                        });
                    } else {
                        appcan.window.alert("", "报名成功，请及时支付，否则订单作废",'',function(){
                            confirm_type = true;
                            appcan.locStorage.setVal('pay_sign_id', json.sign_id);
                            appcan.locStorage.setVal('total_money', json.total_money);
                            //appcan.openWinWithUrl('group', 'payment.html');
                            appcan.locStorage.setVal('get_type','act');
                            appcan.openWinWithUrl('payment', 'payment.html');
                        });
                    }
                } else {
                    if (json.zero == '1') {
                        if (json.jfstatus == 'false') {
                            openAlert("", json.msg,'',function(){
                                confirm_type = true;
                                closeHTML();
                            });
                        }
                    } else {
                        appcan.window.alert("", json.msg,'',function(){
                            confirm_type = true;
                        });
                    }
                }
            }, function() {
                closeLoadingToast();
                openToast('操作超时');
                confirm_type = true;
            }, 0);
    }
}

appcan.button("#nav-left", "", function() {
    //appcan.locStorage.remove('act_array');
    //appcan.locStorage.remove('act_companion');
    appcan.window.close(-1);
});
