/**
 * Created by Administrator on 2015/8/28 0028.
 */
/*
*从服务器获取购物车信息
 */
//发送获取购物车商品请求
function request(){
    var data = {};
    data['ctlname'] = 'cart_cart';
    data['method']='getList';
    data['login_name'] = appcan.locStorage.getVal('session_user');
    AJAX.post(data, function(json){
        len = 0;
        var storecnt = 0;
        var storeIdOld, storeIdNew;
        if(json){
            for (var i=0; i < json.length; i++) {
                storeIdNew = json[i].store_id;

                if (storeIdOld != storeIdNew) {
                    storecnt = storecnt + 1;
                    storeIdOld = storeIdNew;
                }
                len +=json[i].products.length;
            }
            var h = storecnt*3 + len * 10;
            _h = h + "em";
        }
        showItem(json);
    },
    function(){
    },0,false);
}

/**
 * @param response 从后台获得的数据
 *
 * response数组,response[0],response[1]:代表的是店铺
 * response[0].obj_identArr[0],response[0].obj_identArr[1]:代表的是数据库该商品的字段
 * response[0].products[0],response[0].products[1]:代表的是店铺的一件商品
 */
function showItem(response) {
    var contentHtml = ''
    if(response) {
        for (var i = 0, shopLength = response.length; i < shopLength; i++) {
            var oneShop = response[i];
            var oneShopDescribeHtml = //商店简介
                '<div class="shop-descript">' +
                '<span class="shop-choice fa fa-circle-o"></span>' +//caixf
                '<a id="' + oneShop.store_id + '">' + oneShop.store_name + '</a>' +
                '<a class="shop-edit not-edit">编辑</a>' +
                '</div>';
            var allGoodsHtml = '';
            //循环遍历产品数
            for (var j = 0, productLength = oneShop.products.length; j < productLength; j++) {
                var oneGoods = oneShop.products[j];
                // oneShop.obj_identArr[0][j]:数据库字段的id,删除的依据
                var oneGoodsIDInDB = oneShop.obj_identArr[0][j];
                var oneGoodsHtml =
                    '<div id="' + oneGoodsIDInDB + '"class="good">' +
                    '<span class="good-choice fa fa-circle-o"></span>' +//caixf
                    '<div class="good-image" style="background-image:url('+oneGoods.small_pic+');">' +
                    '</div>' +
                    '<div class="good-descript">' +
                        //<label>特级海南香蕉 约5斤/把</label>
                    '<label><span>' + oneGoods.name + '</span></label>' +
                    '</div>' +
                    '<div class="good-price">' +
                        //'<label><span class="price flush-right">9.90</span></label>'
                    '<label><span class="price flush-right">' + oneGoods.price + '\n' + '</span></label>' +
                        //<label><span class="less-font flush-right">0.25kg</span></label>
                    '<label><span class="weight less-font flush-right">' + oneGoods.goodsweight / 1000 + '\n' + '</span></label>' +
                        //<label><span class="number flush-right">x1</span></label>
                    '<label><span class="number flush-right">' + oneGoods.quantity + '</span></label>' +
                    '</div>' +
                        <!--编辑-->
                    '<div class="good-num" style="display: none">' +
                    '<a class="minus-num">-</a>' +
                        //<input class="input-num" type="text" value="1"/>
                    '<input class="input-num" type="text" value="' + oneGoods.quantity + '" disabled/>' +
                    '<a class="add-num">+</a>' +
                    '</div>' +
                    '<div class="good-delete" style="display: none">删除</div>' +
                    '</div>';
                allGoodsHtml += oneGoodsHtml;
            }
            oneShopHtml = '<div class="one-shop">' + oneShopDescribeHtml + allGoodsHtml + '</div>';

            contentHtml += oneShopHtml;
        }
    } else {
        contentHtml = '<p style="text-align:center;">(づ￣3￣)づ╭❤～,你的购物车空无一物哦</p>';
    }
    var footerHtml = 
                '<div class="footer">' +
                '<div class="pay-all">' +
                    '<span id="all-good-choice" class="fa fa-circle-o"></span>' +//caixf
                    '<label>全选</label>' + 
                '</div>' +
                '<div class="sum-price">' + 
                    '<div class="account-tips">' + 
                        '<span>合计:</span>' +
                        '<span id="sum-money" class="price">0.00</span>' +
                        '<span class="freight-tips">(不含运费)</span>' +
                    '</div>' +
                    '<div class="pay-account">' +
                        '<a id="account" class="unable-to-account">结算(<span id="account-goods-num">0</span>)</a>' +
                    '</div>' +
                '</div>' +
            '</div>';
    $('.shop-container').html(contentHtml + footerHtml);
    //以下方式在触屏端在文档加载完毕后执行,但因appcan中加载方式差异,将在此处进行事件绑定
    bindingAllEvent();
    preloadFigure();
    loadFigure();
}
