/* 商品规格操作方法 */
var GOODS_INFO,
    PRODUCT_INFO;
var GOODS_SPEC_GLOBAL,
    PRODUCT_SPEC_GLOBAL;
var CHOOSE_SPEC_VALUE = {},
    CHOOSE_SPEC_VALUE_ID = {},
    COULD_PICK_PRODUCT_ID = {};
var BUY_PRODUCT_ID;
var flashSale = appcan.locStorage.getVal('flashSale');
/**
 * @todo 打开一个1秒后自动消失的弹出窗
 * @author zhangh 2015-10-13
 */
function showToast(msg) {
    appcan.window.openToast({
        msg : msg,
        duration : 1000,
        position : 5,
        type : 0
    });
}

/**
 * @todo 初始化商品规格
 * @author zhangh 2015-10-13
 */
function specInitialize() {
    //var goodsId = appcan.locStorage.getVal('goods_detail_goods_id');
    //初始化规格信息面板高度 begin
    var width = (window.innerWidth > 0) ? window.innerWidth : screen.width;
    var specH = width * 0.8;
    $('#spec').css('height', specH + 'px');
    //初始化规格信息面板高度 end

    var goodsInfo = JSON.parse(appcan.locStorage.getVal('gl_goods_info'));
    var productsInfo = JSON.parse(appcan.locStorage.getVal('gl_products_info'));

    GOODS_INFO = goodsInfo;
    PRODUCT_INFO = productsInfo;
    GOODS_SPEC_GLOBAL = JSON.parse(appcan.locStorage.getVal('gl_goods_spec'));
    PRODUCT_SPEC_GLOBAL = JSON.parse(appcan.locStorage.getVal('gl_products_spec'));

    var gl_choose_spec_value = appcan.locStorage.getVal('gl_choose_spec_value');
    var gl_choose_spec_value_id = appcan.locStorage.getVal('gl_choose_spec_value_id');
    var gl_choose_pick_priduct_value = appcan.locStorage.getVal('gl_choose_pick_priduct_value');

    CHOOSE_SPEC_VALUE = gl_choose_spec_value ? JSON.parse(gl_choose_spec_value) : {};
    CHOOSE_SPEC_VALUE_ID = gl_choose_spec_value_id ? JSON.parse(gl_choose_spec_value_id) : {};
    if (goodsInfo.promotion) {
        $('#goodsPrice_spec').html(goodsInfo.promotion_info);//caixf
    } else {
        if(goodsInfo.tbg_price){
            $('#goodsPrice_spec').html('¥'+ goodsInfo.tbg_price);//有限时抢购显示限时抢购价格 Wanglj 2016-4-29 yuanjy add
        }else{
            $('#goodsPrice_spec').html('¥'+ goodsInfo.price);//添加商品规格下￥ 2016-4-29 yuanjy add
        }
    }

    $('#specImage').attr('src', goodsInfo.default_url);

    buildSpecHtml();
    setSpecInfo();

    activeInitialize(CHOOSE_SPEC_VALUE_ID);
}

function activeInitialize(id) {
    var dom;
    for (var i in id) {
        dom = $('#' + i + '-' + id[i]);
        if (!dom.hasClass('active')) {
            dom.addClass('active');
        }
        if (dom.attr('data-src')) {
            $('#specImage').attr('src', dom.attr('data-src'));
        }
    }
}

/**
 * @todo 生成规格HTML
 * @author zhangh 2015-10-13
 */
function buildSpecHtml() {
    var str = '';
    var goods_num = appcan.locStorage.getVal('page_goods_cnt');
    for (var i in GOODS_SPEC_GLOBAL) {
        str += '<div class="ub ub-ver ubb bc-border">' + '    <div class="spec-title ulev0">' + GOODS_SPEC_GLOBAL[i].spec_name + '</div>' + '    <div class="spec-list ulev-1">' + buildSpecValueHtml(GOODS_SPEC_GLOBAL[i].option, GOODS_SPEC_GLOBAL[i].spec_id, i) + '</div>' + '</div>';
    }
    if(goods_num){
        str += '<div class="ub ub-pj ubb bc-border">' + '    <div class="spec-title ulev0">购买数量</div>' + '    <div class="spec-list ulev-1">' + '        <span id="num-sub" class="fa fa-minus"></span>' + '        <input id="goods-num" class="tx-c" type="tel" value= ' + goods_num + ' onblur="goodsNumBlur(this.value)"/>' + '        <span id="num-add" class="fa fa-plus"></span>' + '    </div>' + '</div>';//caixf图标修改
    }else{
        str += '<div class="ub ub-pj ubb bc-border">' + '    <div class="spec-title ulev0">购买数量</div>' + '    <div class="spec-list ulev-1">' + '        <span id="num-sub" class="fa fa-minus"></span>' + '        <input id="goods-num" class="tx-c" type="tel" value="1" onblur="goodsNumBlur(this.value)"/>' + '        <span id="num-add" class="fa fa-plus"></span>' + '    </div>' + '</div>';//caixf图标修改
    }
    $('#spec').html(str);
    //bindingSpecValueBtnEvent();
    bindingGoodsNumBtn();
    initializeSpecList();
}

/**
 * @todo 动态生成规格值Dom元素
 * @author zhangh 2015-10-13
 */
function buildSpecValueHtml(specValue, specId, idx) {
    var str = '';
    for (var i in specValue) {
        var domId = specId + '-' + specValue[i].spec_value_id;
        var domClass = 'spec-' + specId;
        str += '<span id="' + domId + '" class="' + domClass + ' disable" data-src="' + specValue[i].spec_goods_images_url + '">' + specValue[i].spec_value + '</span>';
    }
    return str;
}

/**
 * @todo 初始化绑定按钮事件元素class
 * @author zhangh 2015-10-13
 */
function bindingSpecValueBtnEvent() {
    var domClass = '';
    var flg = false;
    for (var i in GOODS_SPEC_GLOBAL) {
        if (flg) {
            domClass += ', ';
        } else {
            flg = true;
        }
        domClass += '.spec-' + GOODS_SPEC_GLOBAL[i].spec_id;
    }
    bingingButton(domClass);
}

function h() {
    return "ontouchstart" in window ?
    void 0 : !0
}

/**
 * @todo 绑定button事件
 * @author
 */
function bingingButton(domClass) {
    var elem = $(domClass);
    elem.on(h() ? "mousedown" : "touchstart", function() {
        var flg = false;
        var thisSpecId = this.id.split('-')[0];
        var thisSpecValueId = this.id.split('-')[1];
        var parId;
        var parValId;
        var specItem = $('#' + this.id);
        if (specItem.hasClass('active')) {
            specItem.removeClass('active');
            if (thisSpecValueId == CHOOSE_SPEC_VALUE_ID[thisSpecId]) {
                clearRelationSpec(thisSpecId);

                filterSpec(getParentSpecId(thisSpecId), thisSpecValueId, true);
            }
        } else {
            clearLikeSpec('.spec-' + thisSpecId);
            specItem.addClass('active');
            CHOOSE_SPEC_VALUE_ID[thisSpecId] = thisSpecValueId;
            CHOOSE_SPEC_VALUE[thisSpecId] = this.innerHTML;
            filterSpec(thisSpecId, thisSpecValueId);
            var specImageDom = $('#specImage');
            if (this.getAttribute('data-src')) {
                specImageDom.attr('src', this.getAttribute('data-src'));
            }
        }
        setSpecInfo();
    });
}

/**
 * @todo 过滤出可选择规格
 * 未完成
 */
function filterSpec(id, valueId, flg) {
    var tempSpec = CHOOSE_SPEC_VALUE_ID;
    var filter = {};
    var has = false;
    var domId,
        dom;
    for (var i in tempSpec) {
        for (var j in PRODUCT_SPEC_GLOBAL) {
            if (tempSpec[i]) {
                if (PRODUCT_SPEC_GLOBAL[j].spec_value_id[i] == tempSpec[i]) {
                    //该货品满足已选规格项
                    if (filter[j] != 'hide') {
                        filter[j] = 'show';
                    }
                } else {
                    //该货品不满足已选规格项
                    filter[j] = 'hide';
                }
            } else {
                //该规格没有选择
                if (filter[j] != 'hide') {
                    filter[j] = 'show';
                }
            }
        }
    }
    for (var i in filter) {
        for (var j in PRODUCT_SPEC_GLOBAL[i].spec_value_id) {

            domId = '#' + j + '-' + PRODUCT_SPEC_GLOBAL[i].spec_value_id[j];
            dom = $(domId);
            if (flg && j == id) {
                if (dom.hasClass('disable')) {
                    dom.removeClass('disable');
                    bingingButton(domId);
                }
            } else {
                if (j == id) {
                    continue;
                }
                if (filter[i] == 'hide') {
                    if (!hasSpec(PRODUCT_SPEC_GLOBAL[i].spec_value_id[j], filter)) {
                        if (!dom.hasClass('disable')) {
                            dom.addClass('disable');
                            dom.off(h() ? "mousedown" : "touchstart");
                        }
                    } else {
                        if (dom.hasClass('disable')) {
                            dom.removeClass('disable');
                            bingingButton(domId);
                        }
                    }
                } else {
                    if (dom.hasClass('disable')) {
                        dom.removeClass('disable');
                        bingingButton(domId);
                    }
                }
            }
        }
    }
}

function hasSpec(id, filter) {
    var has = false;
    for (var i in PRODUCT_SPEC_GLOBAL) {
        if (filter[i] == 'show') {
            for (var j in PRODUCT_SPEC_GLOBAL[i].spec_value_id) {
                if (id == PRODUCT_SPEC_GLOBAL[i].spec_value_id[j]) {
                    has = true;
                }
            }
        }
    }
    return has;
}

/**
 * @todo 判断object是否为空,空返回true
 */
function emptyObject(obj) {
    var hasProp = true;
    if ( typeof obj === "object" && !( obj instanceof Array)) {
        for (var prop in obj) {
            hasProp = false;
            break;
        }
    }
    return hasProp;
}

/**
 * @todo 获取上级规格id
 */
function getParentSpecId(specId) {
    var parentId = '-1';
    for (var j in CHOOSE_SPEC_VALUE_ID) {
        if (specId == j) {
            break;
        } else {
            if (CHOOSE_SPEC_VALUE_ID[j] != '') {
                parentId = j;
            }
        }
    }
    return parentId;
}

/**
 * @todo 取消下级规格选中
 * @author zhangh 2015-10-14
 */
function clearRelationSpec(id) {
    var clear = false;
    for (var i in GOODS_SPEC_GLOBAL) {
        if (GOODS_SPEC_GLOBAL[i].spec_id == id) {
            clear = true;
        }
        if (clear) {
            CHOOSE_SPEC_VALUE_ID[GOODS_SPEC_GLOBAL[i].spec_id] = '';
            CHOOSE_SPEC_VALUE[GOODS_SPEC_GLOBAL[i].spec_id] = '';
            $('.spec-' + GOODS_SPEC_GLOBAL[i].spec_id).each(function(index, item) {
                if (hasClass(item, 'active')) {
                    removeClass(item, 'active');
                }
            });
        }
    }
}

/**
 * @todo 设置规格选择提示信息
 * @author zhangh 2015-10-13
 */
function setSpecInfo() {
    var store = 0;
    var specTipDom = '请选择 ';
    var selectedSpec = '';
    var unselectedSpec = {};
    var hasUnselectedSpec = false;
    if (GOODS_SPEC_GLOBAL) {
        for (var i in GOODS_SPEC_GLOBAL) {
            if (!CHOOSE_SPEC_VALUE[GOODS_SPEC_GLOBAL[i].spec_id]) {
                unselectedSpec[i] = GOODS_SPEC_GLOBAL[i].spec_name;
                hasUnselectedSpec = true;
            } else {
                selectedSpec += '"' + CHOOSE_SPEC_VALUE[GOODS_SPEC_GLOBAL[i].spec_id] + '" ';
            }
        }
    } else {
        $('#spec-tip').html(GOODS_INFO.name);
        BUY_PRODUCT_ID = GOODS_INFO.product_id;
        appcan.locStorage.setVal('page_goods_productId', BUY_PRODUCT_ID);
        // 捆绑商品与其他商品库存的区别 add by zhangcf 2015-11-24 start
        if(PRODUCT_INFO.obj_type == 'package'){
            store = PRODUCT_INFO.store - PRODUCT_INFO.freez;
        }else{
            store = PRODUCT_INFO[BUY_PRODUCT_ID].store - PRODUCT_INFO[BUY_PRODUCT_ID].freez;
        }
        optStock(store);
        if(PRODUCT_INFO['obj_type'] == 'package'){
        	$('#goodsPrice').html('¥' + PRODUCT_INFO.price);
        }else{
	        if (GOODS_INFO.promotion) {
	            $('#goodsPrice').html('¥' + GOODS_INFO.cont_price);//caixf
	        } else {
	            $('#goodsPrice').html('¥' + PRODUCT_INFO[BUY_PRODUCT_ID].price);
	        }
	    }
	    // 捆绑商品与其他商品库存的区别 add by zhangcf 2015-11-24 start
	    if(flashSale == 'flashSale'){
	        $('#goodsPrice').html('¥' + GOODS_INFO.tbg_price);
	    }
	    // #839 预售详情价格spec页面读取 20160303 wangh add start
	     if(GOODS_INFO.prepareinfo){
	     $('#goodsPrice').html('¥'+GOODS_INFO.preparesell_price);
	     }
	     // #839 预售详情spec页面价格读取 20160303 wangh add end
	     
        appcan.window.evaluateScript({
            name:'goods_detail',
            scriptContent:'optStock('+ store +')'
        });
        return;
    }
    if (hasUnselectedSpec) {
        BUY_PRODUCT_ID = '';
        for (var j in unselectedSpec) {
            specTipDom += unselectedSpec[j] + ' ';
        }
    } else {
        specTipDom = '已选 ';
        specTipDom += selectedSpec;
        for (var i in PRODUCT_SPEC_GLOBAL) {
            if (PRODUCT_SPEC_GLOBAL[i] == false) {
                BUY_PRODUCT_ID = i;
                specTipDom = '';
                break;
            }
            for (var j in PRODUCT_SPEC_GLOBAL[i].spec_value_id) {
                if (PRODUCT_SPEC_GLOBAL[i].spec_value_id[j] == CHOOSE_SPEC_VALUE_ID[j]) {
                    BUY_PRODUCT_ID = i;
                } else {
                    BUY_PRODUCT_ID = '';
                    break;
                }
            }
            if (BUY_PRODUCT_ID) {
                store = PRODUCT_INFO[BUY_PRODUCT_ID].store - PRODUCT_INFO[BUY_PRODUCT_ID].freez;
                optStock(store);
                //添加促销信息 2016-8-16 yuanjy add update start
                if(GOODS_INFO.promotion_info){
                    $('#goodsPrice_spec').html(GOODS_INFO.promotion_info);
                }else{
                    if (PRODUCT_INFO[BUY_PRODUCT_ID].promotion) {
                        $('#goodsPrice').html('¥' + PRODUCT_INFO[BUY_PRODUCT_ID].promotion);
                        $('#goodsPrice_spec').html('¥' + PRODUCT_INFO[BUY_PRODUCT_ID].promotion);
                    } else {
                        $('#goodsPrice').html('¥' + PRODUCT_INFO[BUY_PRODUCT_ID].price);
                        $('#goodsPrice_spec').html('¥' + PRODUCT_INFO[BUY_PRODUCT_ID].price);
                    }
                }
                //添加促销信息 2016-8-16 yuanjy add update end
                //多规格预售商品价格spec页面显示 20160406 weim add start
                if(GOODS_INFO.preparesell_spec || GOODS_INFO.preparesell_spec == 'true'){
                    $('#goodsPrice').html('¥'+GOODS_INFO.promotion_spec_price[BUY_PRODUCT_ID]);
                    $('#prepareEarnest').html('¥'+GOODS_INFO.preparesell_price[BUY_PRODUCT_ID]);
                    $('#goodsPrice_spec').html(GOODS_INFO.promotion_spec_price[BUY_PRODUCT_ID]);
                }
                //多规格预售商品价格spec页面显示 20160406 weim add end
                saveData();
                break;
            }
        }
    }
    appcan.locStorage.setVal('page_goods_productId', BUY_PRODUCT_ID);
    $('#spec-tip').html(specTipDom);
}

/**
 * @todo 变更规格列表(暂不使用)
 * @author zhangh 2015-10-13
 */
function changeSpecList(specId, specValueId) {
    for (var i in PRODUCT_SPEC_GLOBAL) {
        for (var j in PRODUCT_SPEC_GLOBAL[i].spec_value_id) {
            if (CHOOSE_SPEC_VALUE_ID[j]) {
                if (CHOOSE_SPEC_VALUE_ID[j] != PRODUCT_SPEC_GLOBAL[i].spec_value_id[j]) {
                    filter[i] = true;
                    break;
                }
            }
        }
    }
}

/**
 * @todo 初始化规格列表
 * @params int a(判断是否为初始化)
 * @author zhangh 2015-10-13
 */
function initializeSpecList() {
    var specDom,
        specDomId;
    var show = true;
    for (var i in PRODUCT_SPEC_GLOBAL) {
        for (var j in PRODUCT_SPEC_GLOBAL[i].spec_value_id) {
            specDomId = j + '-' + PRODUCT_SPEC_GLOBAL[i].spec_value_id[j];
            specDom = $('#' + specDomId);
            if (specDom.hasClass('disable') && show) {
                specDom.removeClass('disable');
                specDom.addClass('spec-show');
                specDom.addClass('spec-tap');
                bingingButton('#' + specDomId);
            }
        }
    }
}

/**
 * @todo 清除其他同类规格选中样式
 * @author zhangh 2015-10-13
 */
function clearLikeSpec(cName) {
    var specs = $(cName);
    for (var i = 0; i < specs.length; i++) {
        if (hasClass(specs[i], 'active')) {
            removeClass(specs[i], 'active');
        }
    }
}

/**
 * @author zhangh
 * @description 判断商品是否已售罄 2015-10-12
 */
function optStock(stock) {
    var cartDom = $('#cart');
    var maskDom = $('#mask');
    if (stock <= 0) {
        //爆款商品售完时显示已抢光  2015-12-2 weim update start
        var is_baok = appcan.locStorage.getVal('is_baok');
        if(is_baok == '1'){
            cartDom.html('已抢光');
            cartDom.css('background-color', '#bbbbbb');
            maskDom.css('display', 'block');
            cartDom.css('width', '100%');
            $('#buy').css('display','none');
        }else{
            cartDom.html('已售罄');
            cartDom.css('background-color', '#bbbbbb');
            maskDom.css('display', 'block');
        }
        //爆款商品售完时显示已抢光  2015-12-2 weim update end
    }else{
        cartDom.html('加入购物车');
        cartDom.css('background-color', '#ff9500');
        maskDom.css('display', 'none');
    }
}