/**
 * 获取配置信息，关联外部js和html
 */
var index_pagedata = {};
var index_pagehtml = {};
function load_shop_index(index_data) {
    if(index_data.data){
        index_pagedata = index_data.data;
    }
    if(index_data.css_src){
        var head = $('head')[0];
        $.each(index_data.css_src, function(index, item) {
            var css_ele = document.createElement('link');
            css_ele.rel = "stylesheet";
            css_ele.type = "text/css";
            css_ele.href = item;
            head.appendChild(css_ele);
        });
    }
    if(index_data.js_src){
        var body = $('body')[0];
        $.each(index_data.js_src, function(index, item) {
            var js_ele = document.createElement('script');
            js_ele.src = item;
            body.appendChild(js_ele);
        });
    }
    if(index_data.html_src){
        appcan.frame.open("template", index_data.html_src, 0, 0);
        appcan.frame.sendToBack("template");
    }
}

/**
 * 关闭浮动窗口,初始化页面
 */
function end_load_template() {
    appcan.frame.close('template');
    showShopIndex();
}

/**
 * 设置配置html数据 
 */
function set_pagehtml(key,value){
    var first = value.indexOf('"') + 1;
    var last = value.lastIndexOf('"') - 1;
    index_pagehtml[key] = value.substr(first, last);
}

/**
 * tabview效果展示
 */
function showindex() {
    if ($("#shop-index").hasClass("uhide")) {
        $("#shop-index").removeClass("uhide");
        $("#shop-index").addClass("uappe");
    }
    if ($("#goods-all").hasClass("uappe")) {
        $("#goods-all").removeClass("uappe");
        $("#goods-all").addClass("uhide");
    }
    if ($("#shelves").hasClass("uappe")) {
        $("#shelves").removeClass("uappe");
        $("#shelves").addClass("uhide");
    }
    // 专享宝贝 20160823 yangjk add start
    if ($("#goods-vip").hasClass("uappe")) {
        $("#goods-vip").removeClass("uappe");
        $("#goods-vip").addClass("uhide");
    }    
    // 专享宝贝 20160823 yangjk add end
}
