//微信分享使用
var title_name;
var image_default;
var PhoneNum,activity_ids;
appcan.ready(function() {
    activity_ids = appcan.locStorage.getVal('finance_activity_id');
    getData();
});
 appcan.button("#nav-left", "btn-act", function() {
    appcan.window.close(-1);
});
appcan.button("#nav-home", "btn-act", function() {
    appcan.openWinWithUrl('index','index.html');
});
//发送获取数据请求
function getData(){
    var data = {};
    data['ctlname'] = 'goods_classification';
    data['method'] = 'getFinanceActivity'; //活动页方法更改 yues 2016-1-21 
    data['id'] = activity_ids;
    AJAX.post(data, function(json) {
        appcan.window.closeToast();
        if (json.status) {
            $('#tit').html(json.data.activity_title); 
            $('#tit').css('align','center');
            init(json.data);
            $("body").lazyload();
        } else {
            openAlert("",json.msg);//修改alert zhouyr update 20160425
        }
    }, function() {
    }, 0);
}
function activity(id) {
    appcan.locStorage.setVal('activity_id', id);
    saveHTML('activity_'+id);
    appcan.openWinWithUrl('theme_page_'+id, 'theme_page.html');
}
function goods(id) {
    appcan.locStorage.setVal('product_id', id);
    appcan.openWinWithUrl('goods_detail', 'goods_detail.html');
}
function pkg(id) {
    appcan.locStorage.setVal('obj_type', 'package');
    appcan.locStorage.setVal('package_id', id);
    appcan.openWinWithUrl('new_goods_detail', 'goods_detail.html');
}
function cat (cat_id) {
    appcan.locStorage.setVal('medium_cat_id', cat_id);
    appcan.locStorage.setVal('sendflg', '0');
    appcan.openWinWithUrl('menu_small', 'menu_small.html');
}
function search (search_key) {
    appcan.locStorage.setVal('search_key', search_key);
    appcan.locStorage.setVal('searchKeyDisplayFlg', '0');
    appcan.openWinWithUrl('search_result', 'search_result.html');
}
//初始化页面
function init(data){
    PhoneNum = data.footer.phonenum; //客服电话号码
    $('body').append('<div class="font_size0"><img class="header a" src="'+ data.header.img +'"/></div>');
    image_default = data.header.img;  //微信分享使用
    for(var i in data.special){
        var module = data.special[i];
        switch (module.type) {
        case 'img':
            build_img(module);
            break;
        case 'goods':
            var html = '<div style="';
            if(module.bg_radio == 'img'){
                html += 'background-image:url('+ module.bg_img +');';
                html += 'background-size:cover;';
            }
            if(module.bg_radio == 'color'){
                html +=   'background-color:'+module.bg_color;
            }
            html += '">';
            switch (module.g_type){
            case 'normal':
                html += BuildGoods(module.goods,module.rowspan,module.m_conditions,module.g_type);
                break;
            case 'finance':
                html += BuildGoods(module.finance,module.rowspan,module.m_conditions,module.g_type);
                break;
            }
            html += '</div>';
            $('body').append(html);
            break;
        default:
            break;
        }
    }
    //判断是手机号码还是提示内容 20150106 weim add start
    if(data.footer.bottom_radio == '2'){
        var foo = '<div class="tx-c ulev-0 special-foo" style="background-color:'+data.footer.bottom_bgcolor+'"><a style="color:'+data.footer.bottom_ftcolor+'" href="tel:'+data.footer.phonenum+'">'+ data.footer.phonenum +'</div>';
        $('body').append(foo);
    }else if(data.footer.bottom_radio == '3'){
        var foo = '';
        $('body').append(foo);
    }else{
        var foo = '<div class="tx-c ulev-0 special-foo txt-w" style="background-color:'+data.footer.bottom_bgcolor+';color:'+data.footer.bottom_ftcolor+'">'+ data.footer.phonenum +'</div>';
        $('body').append(foo);
        appcan.button(".special-foo", "", function() {
            appcan.openWinWithUrl('index','index.html');
        });
    }
}
function build_img(img_module){
    var count = 0;
    var html = '<div class="special font_size0" style="';
    if(img_module.bg_radio == 'img'){
        html += 'background-image:url('+ img_module.bg_img +');';
        html += 'background-size:cover;';
    }
    if(img_module.bg_radio == 'color'){
        html += 'background-color:'+img_module.bg_color;
    }
    var width= 100/img_module.rowspan+'%';
    html += '"><div class="ub ub-pj">';
    for (var int in img_module.img_data) {
        if(count == img_module.rowspan){
            html += '</div><div class="ub ub-pj">';
            count=0;
        }
        count++;
        var img = img_module.img_data[int];
        html += '<div style="width:'+width+'">'+
            '    <div class="ulev-1">'+
            '        <div class="mod-goods-img">'+
            '            <img class="lazy" dataimg="'+ img.img_url +'" src="" onclick="' + img.i_type + '(\'' + img.content +'\');"/>'+
            '        </div></div></div>';
    }
    html += '</div></div>';
    $('body').append(html);
}
//生成楼层下的商品列表
function BuildGoods(goods,rowspan,m_conditions,g_type){
    m_conditions = m_conditions||[];
    var width = 96/rowspan+'%';
    var count = 0;
    var html = '<div class="ub ub-pj special-bd">';
    var price_style = 'style="';
    if(m_conditions.price_color){
        price_style += 'color:'+m_conditions.price_color+';';
    }
    price_style+='"';
    var btn_html = '<div class="mod-goods-btn tx-c ub-img1" '
    var btn_style = 'style="height:auto;width:4em;';
    if(m_conditions.btn_color){
        btn_style += 'color: '+m_conditions.btn_color+';';
    }
    if(m_conditions.btn_bg){
        btn_style += 'background-image:url('+m_conditions.btn_bg+');background-color:#ffffff;"></div>';
    }else{
        if(g_type == 'finance'){
            btn_style += '">立即折返</div>';
        }else{
            btn_style += '">立即购买</div>';
        }
    }
    btn_html += btn_style;
    for(var i in goods){
        if(count == rowspan){
            html += '</div><div class="ub ub-pj special-bd">';
            count=0;
        }
        count++;
        html +='<div class="special-goods" style="width:'+width+'">'+
               '    <div class="mod-goods ulev-1" onclick="goods('+ goods[i].goods_id +')" >'+
               '        <div class="mod-goods-img">'+
               '            <img class="lazy" dataimg="'+ goods[i].img +'" src="" />'+
               '        </div>'+
               '        <div class="mod-goods-tit">'+ goods[i].name +'</div>';
        if(g_type == 'finance'){
            html +='        <div class="ulev0 umar-3" '+price_style+'>折返率:'+ goods[i].yield_rate +'%</div>';
        }else{
            html +='        <div class="mod-goods-deprice">¥'+ goods[i].deprice +'</div>';
        }
        if(rowspan >2){
                html +='<div class="">';
            }else{
                html +='<div class="ub ub-pj">';
            }
            html += '<div class="mod-goods-price" '+price_style+'>¥'+ goods[i].price +'</div>'+
                                btn_html+
                   '        </div>'+
                   '    </div>';
        if (goods[i].flag_superscript){
            html += '<img class="qg-icon" src="'+ goods[i].superscript_src +'" />';
        }
        if(goods[i].flag_marketable){
            html += '<div class="oldgood"></div></div>';
        }else{
            html += '</div>';
        }
    }
    html += '</div>';
    return html;
}
