var pagetype = true;
//加载页面
appcan.ready(function(){
    $('#slider').css('height',$(window).width());
    getData();
});
//显示投票详情页信息
function getData(){
    var data = {};
    data['ctlname'] = 'vote_details';
    data['method'] = 'index';
    data['selection_number'] = appcan.locStorage.getVal('vote_number');
    data['vote_id'] = appcan.locStorage.getVal('vote_id');
    AJAX.post(data,function(json) {
        if(json.status){
            //初始化轮播图轮播开始位置  guoy 2018-5-2 start
            if(json.media_type == '0' && json.images){
                sliderInit(json.images.length);
            }
            //初始化轮播图轮播开始位置   guoy 2018-5-2 end
            checkShowMedia(json);
            checkShowAbstract(json);
            selection_number.innerText = json.selection_number;
            objects_name.innerText = json.objects_name;
            introduction.innerText = json.description;
            $("#logo_img").attr("src",json.logo);
            vote_sum.innerText = json.ticket_sum;
            ranking.innerText  = json.ranking;
            last_sum.innerText = json.last_sum;
        }else{
            uexWindow.alert('提示', json.msg, '确定');
        }
    }, function() {
        appcan.frame.resetBounce(type);
        appcan.window.openToast('连接服务器失败', 2000, 5);
    }, 0);
}
//执行投票
function goVotes(){
    if(pagetype){
        var prompt;
        var data = {};
        data['ctlname']    = 'vote_details';
        data['method']     = 'checkIsFree';
        data['vote_id']    = appcan.locStorage.getVal('vote_id');
        data['unique']     = appcan.locStorage.getVal('unique');
        data['login_name'] = appcan.locStorage.getVal('session_user');
        data['member_id']  = appcan.locStorage.getVal('session_memberid');
        data['selection_number'] = appcan.locStorage.getVal('vote_number');
        if(pagetype){
            pagetype = false;
            AJAX.post(data,function(json){
                if(json.status == true) {
                    prompt = json.msg;
                    appcan.window.confirm({
                        title:'提示',
                        content:'本次投票'+prompt,
                        buttons:['确定','取消'],
                        callback:function(err,datas,dataType,optId){
                            if (err) {
                                return;
                            }
                            if (datas == 0) {
                                data['method']  = 'vote';
                                AJAX.post(data,function(json){
                                     if(json.status == 'wrong'){
                                        appcan.window.alert({
                                            title:'提示',
                                            content:json.msg,
                                            buttons:'确定',
                                            callback:function(err,data,dataType,optId){
                                                appcan.openWinWithUrl('base', 'login.html');
                                            }
                                        });
                                    }
                                    if(json.status == true) {
                                        uexWindow.alert('提示', json.msg, '确定');
                                        $("#ticknum"+json.selection_number).html(json.ticket_sum+'票');//更改一下票数
                                        getData();
                                    }
                                    if(json.status == false){
                                        uexWindow.alert('提示', json.msg, '确定');
                                    }
                                }, function() {
                                    appcan.window.closeToast();
                                    uexWindow.alert('', '超时', '确定');
                                }, 0);
                            }
                        }
                    });
                }
                pagetype = true;
            }, function() {
                appcan.window.closeToast();
                uexWindow.alert('', '超时', '确定');
            }, 0);
        }
    }
}
//获得评选对象微信参数
function getObjectShare(objectid){
    data = {};
    data['ctlname'] = 'vote_rule';
    data['method'] = 'getObjectShare';
    data['vote_id'] = appcan.locStorage.getVal('vote_id');
    data['objects_id'] = objectid;//评选对象编号
    AJAX.post(data,function(json){
        if(json.status){
            var conn = {
                "thumbImg" :json.shareLogo,  //分享的图片 评选对象的logo
                "wedpageUrl" : json.shareUrl, //分享的链接
                "title" :json.shareTitle,  //分享的标题
                "description" : json.shareDesc  //分享的描述
            };
            var share = new shareActionSheet();
            share.show(conn);
        }else{
            showToast(json.msg);
        }
    },function(){
        showToast('连接服务器失败');
    },0);
}
appcan.button("#vote", "btn-act", function(){
    goVotes();
});
appcan.button("#share", "btn-act", function(){
    var vote_number = appcan.locStorage.getVal('vote_number');
    getObjectShare(vote_number);
});
function checkShowMedia(json){
    if(json.media_status == 'open'){
        $("#top").css('display','block');
        if(json.media_type == '0'){
            if(json.images){
                getSlider(json.images);
            }else{
                //图片
                $("#image_url").css('display','block');
                $("#image").attr("src",json.image);
            }
        }else{
            $("#video").css('display','block');
        }
    }
}
//评选对象简介的显示判断
function checkShowAbstract(json){
    if(json.introduction_status == 'open'){
        $("#detailed_introduction").css('display','block');
        objects_introduction.innerHTML = json.detailed_introduction;
        var imglist=$("#objects_introduction img");
        if(imglist.length > 0){
            for(var i = 0; i < imglist.length;i++){
                imglist[i].style.width = '100%';
                imglist[i].style.verticalAlign = 'middle';  //修复多图之间存在间隔问题
            }
        }
    }
}
